                        PROGRAM  VDISF2

C  *-------------------------------------------------------------------*
C  *                                                                   *
C  *                 VDI 3783    BLATT 2   IN FORTRAN 77               *
C  *                =====================================              *
C  *                                                                   *
C  *                            VERSION 4.0                            *
C  *                                                                   *
C  *        01. SEPTEMBER 1992    ECKERT / MAROTZKE                    *
C  *                              METEOROLOGISCHES INST. UNI HAMBURG   *
C  *                              BUNDESSTRASSE 55                     *
C  *                                                                   *
C  *                              2000 HAMBURG 13                      *
C  *                                                                   *
C  *                              TEL.: 040 / 4123-5091                *
C  *                                                                   *
C  *                                                                   *
C  * DIE VORLIEGENDE VERSION 4.0 VOM 01. SEPTEMBER 1992 DES PROGRAMMS  *
C  * VDISF2 UNTERSCHEIDET SICH VON VORHERGEHENDEN VERSIONEN IN DER     *
C  * HAUPTSACHE DURCH:                                                 *
C  * - ERWEITERUNG AUF 25 AUSBREITUNGSGEBIETE                          *
C  * - AUSGABE DER POTENTIELL ZUENDFAEHIGEN MASSE                      *
C  *-------------------------------------------------------------------*


      CHARACTER       DATEI*12,TITEL*70,STNAME(31)*23,GEBIET(25)*34,
     &                BESTGR(2)*41,FORM(4)*70,JANEIN(2)*4,JN,EINHEI*8,
     &                CHARL*3,EINDAT*12,DATUM*10

      INTEGER         MQ,NGEB,NGAS,NBES,NFORM,NQ,IFREI,RAUS,DAB,IDA

      REAL            SIEDP(31),RHONOR(31),UZG(31),TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q(20),T(20),RHO,UZD(2),TE,DX,GSTRI,
     &                XQ,YQ,ZQ,QIQIT,TQ,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU(2),OZG(31),OZD(2)

      COMMON/GLOBAL/  MQ,NGEB,NGAS,NBES,TE,XQ,YQ,ZQ,TQ,RAUS,
     &                NFORM,NQ,SIEDP,RHONOR,UZG,TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q,T,RHO,IFREI,UZD,DX,GSTRI,
     &                QIQIT,DAB,IDA,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU,OZG,OZD

      COMMON/CHA/     DATEI,TITEL,STNAME,GEBIET,BESTGR,FORM,JANEIN,
     &                EINHEI,CHARL,JN,EINDAT,DATUM


C  *********************************************************************
C  *********** BESCHREIBUNG DER VARIABLEN DES COMMON-BLOCKS ************
C  *********************************************************************
C  * BESTGR    BESTIMMUNGSGROESSE                                      *
C  * CHARL     CHARACTERVAR. ZUR BEZEICHNUNG DER CHAR. LAENGENEINHEIT  *
C  * DAB       ABSPEICHERN ? UBERSCHREIBEN ?     JA=1   NEIN=2         *
C  * DATEI     NAME DER DATEI                                          *
C  * DATUM     DATUM FUER AUSGABEBLATT.                                *
C  * DTMAX     ZEITVERSATZ IM FERNFELD UNGUENST AUSBREITUNGSSITUATION  *
C  * DTMEAN    ZEITVERSATZ IM FERNFELD MITTLERE AUSBREITUNGSSITUATION  *
C  * DX        QUELLVERSATZ                                            *
C  * DXMAX     QUELLVERSATZ IM FERNFELD UNGUENST AUSBREITUNGSSITUATION *
C  * DXMEAN    QUELLVERSATZ IM FERNFELD MITTLERE AUSBREITUNGSSITUATION *
C  * EINDAT    EINLESEDATEI                                            *
C  * EINHEI    EINHEIT DER QUELLSTAERKE SPONTAN                        *
C  * FORM      FORM DER FREISETZUNG (NFORM = NR. DER FREISETZUNGSART)  *
C  * GEBIET    25 AUSBREITUNGSGEBIETE (BILDSCHIRM 4)                   *
C  * GSTRI     G'= "EFFEKTIVE" ERDBESCHLEUNIGUNG IN M/S**2             *
C  * IFREI     FREISETZUNGSART: 1=SPONTAN, 2=KONTINUIERLICH            *
C  * IDA       WURDE DATUM SCHON ABGEFRAGT?               1=JA  2=NEIN *
C  * JANEIN(2) VARIABLE ZUR VORGABE VON JA/NEIN-ANTWORTEN 1=JA  2=NEIN *
C  * JN        PUFFERVARIABLE ZUR JA-NEIN - ABFRAGE                    *
C  * LC        CHAR. LAENGENMASS IN M                                  *
C  * NBES      NUMMER DER BESTIMMUNGSGROESSE (BESTGR)                  *
C  * NFORM     NUMMER DER FORM DER FREISETZUNGSART                     *
C  * NGAS      NUMMER DES GEWAEHLTEN GASES. DEFAULT PROPAN(23).        *
C  * NGEB      NUMMER DES GEWAEHLTEN AUSBREITUNGSGEBIETS (GEBIET)      *
C  * NQ        ANZAHL DER EMISSIONSABSCHNITTE KONSTANTER EMISSION      *
C  * MQ        ANZAHL DER STUETZSTELLEN DES POLYGONZUGS (MQ = NQ + 1)  *
C  * Q(20)     MASSENSTROM IN KG/S                                     *
C  * QIQIT     QUELLSTAERKE FUER BLATT 1                               *
C  * QTOTAL    GESAMTMASSE                                             *
C  * RHO       DICHTE        BEI 15 GRAD C UND 1013 HPA                *
C  * RHONOR    RHO - NORMAL  BEI  0 GRAD C UND 1013 HPA                *
C  * RAUS      AUSGABEUNIT => AUSGABE DER DATEN UND ERGEBNISSE ENTWE-  *
C  *           DER AUF DEN BILDSCHIRM (RAUS = 6), AUF DEN DRUCKER      *
C  *           (RAUS = 7) ODER IN EINE DATEI (RAUS = 33).              *
C  * SIEDP     SIEDEPUNKT                                              *
C  * STNAME    STOFFNAME                                               *
C  * TC        CHAR. ZEITMASS IN S                                     *
C  * TITEL     TITEL DER BERECHNUNG                                    *
C  * TPROZ     PROZESSTEMPERATUR IN GRAD C. DEFAULT 15 GRAD C.         *
C  * TQ        EMISSIONSDAUER IN SEKUNDEN                              *
C  * T(20)     ZEIT NACH EMISSIONSBEGINN IN [SEC]                      *
C  * UC        CHAR. GESCHWINDIGKEITSMASS IN M/S                       *
C  * UZD(2)    UNTERE ZUENDDISTANZEN  1=MITTLERE   2=MAXIMALE          *
C  * UZG(31)   UNTERE ZUENDGRENZE                                      *
C  * VNULL     QUELLVOLUMEN  V-NULL NACH KAPITEL 4.2                   *
C  * VNUPU     QUELLVOLUMENSTROM                                       *
C  * XQ        QUELLAUSDEHNUNG IN X - RICHTUNG SPONTAN                 *
C  * YQ               -"-      IN Y - RICHTUNG SPONTAN                 *
C  * ZQ               -"-      IN Z - RICHTUNG SPONTAN                 *
C  * POTZU(2)  POTENTIELL ZUENDFAEHIGE MASSE  1=MITTEL  2=MAXIMALE     *
C  * OZG(31)   OBERE ZUENDGRENZE                                       *
C  *                                                                   *
C  *                                                                   *
C  *                                                                   *
C  *********************************************************************

C LOKALE VARIABLEN DES HAUPTPROGRAMMS:

      CHARACTER       STRING*80,DRU(2)*4,EINOLD*12
      INTEGER         DRUNU,DDA,DDRU,IGO

C  *********************************************************************
C  **** BESCHREIBUNG DER LOKALEN VARIABLEN DES HAUPTPROGRAMMS **********
C  *********************************************************************
C  * DDA       EINLESEN AUS DATEI ?             1=JA  2=NEIN           *
C  * DRU(2)    DRUCKER-SCHNITTSTELLEN                                  *
C  * DRUNU     NUMMER DES GEWAEHLTEN DRUCKERS                          *
C  * DDRU      ERGEBNISSE DRUCKEN ?             1=JA  2=NEIN           *
C  * EINOLD    "SICHERUNGSVARIABLE" UM ALTEN EINLESEDATEINAMEN ZU ER-  *
C  *           HALTEN                                                  *
C  * STRING    VARIABLE ZUM EINLESEN EINER ZEICHENKETTE                *
C  * IGO       WENN GO = 0 DANN ENDE DER EINLESEDATEI ERREICHT         *
C  *********************************************************************


C  *********************************************************************
C  ************************* VERWENDETE UNITS **************************
C  *********************************************************************
C  * UNIT  5   TASTATUR                                                *
C  * UNIT  6   BILDSCHIRM                                              *
C  * UNIT  7   DRUCKER                                                 *
C  * UNIT 11   EINGABEPARAMETERDATEI                                   *
C  * UNIT 33   AUSGABEDATEI                                            *
C  *********************************************************************

C  INTERNE ABFRAGEDEFAULTS:
C  ------------------------

      DRUNU  = 0
      DDRU   = 2
      DDA    = 2
      DAB    = 2
      IDA    = 2
      IGO    = 0

C  DATENZUWEISUNG:
C  ---------------

      STNAME (1)  = 'ACETON                 '
      STNAME (2)  = 'ACETYLEN               '
      STNAME (3)  = 'ACROLEIN (2-PROPENAL)  '
      STNAME (4)  = 'AMMONIAK               '
      STNAME (5)  = 'BENZOL                 '
      STNAME (6)  = 'BLAUSAEURE (CYANWA.ST.)'
      STNAME (7)  = 'BUTADIEN               '
      STNAME (8)  = 'I-BUTAN                '
      STNAME (9)  = 'CHLOR                  '
      STNAME (10) = 'CYCLOHEXAN             '
      STNAME (11) = 'DIMETHYLETHER          '
      STNAME (12) = 'ESSIGSAEURE            '
      STNAME (13) = 'ETHAN                  '
      STNAME (14) = 'ETHANOL                '
      STNAME (15) = 'ETHEN                  '
      STNAME (16) = 'ETHYLENOXID            '
      STNAME (17) = 'FORMALDEHYD            '
      STNAME (18) = 'KOHLENDIOXID           '
      STNAME (19) = 'METHAN                 '
      STNAME (20) = 'METHANOL               '
      STNAME (21) = 'I-PENTAN               '
      STNAME (22) = 'PHOSGEN(CARBONYLCHL.)  '
      STNAME (23) = 'PROPAN                 '
      STNAME (24) = 'I-PROPANOL             '
      STNAME (25) = 'PROPEN                 '
      STNAME (26) = 'PROPYLENOXID           '
      STNAME (27) = 'SCHWEFELDIOXID         '
      STNAME (28) = 'SCHWEFELWASSERSTOFF    '
      STNAME (29) = 'VINYLCHLORID(CHL.ETHEN)'
      STNAME (30) = 'O-XYLOL                '
      STNAME (31) = 'SONDERGAS              '

      FORM (1) = 'GASFOERMIG'
      FORM (2) = 'DRUCKLOS VERFLUESSIGT'
      FORM (3) = 'UNTER DRUCK VERFLUESSIGT'
      FORM (4) = 'UNTER DRUCK VERFLUESSIGTES NH3 UND SICH AEHNLICH VERHA
     &LTENDE GASE'

      GEBIET (1)  = 'EBENES GELAENDE OHNE HINDERNISSE  '
      GEBIET (2)  = 'HOHE WINDPARALLELE WAND           '
      GEBIET (3)  = 'HOHE WINDPARALLELE SCHLUCHT       '
      GEBIET (4)  = 'SCHUTZZAUN IN LEE FERN            '
      GEBIET (5)  = 'SCHUTZZAUN IN LEE NAH             '
      GEBIET (6)  = 'SCHUTZZAUN IN LUV NAH             '
      GEBIET (7)  = 'SCHUTZZAUN IN LUV FERN            '
      GEBIET (8)  = 'SCHUTZRING NAH                    '
      GEBIET (9)  = 'SCHUTZRING FERN                   '
      GEBIET (10) = 'UNTERBR. STRASSENSCHLUCHT TYP I   '
      GEBIET (11) = 'UNTERBR. STRASSENSCHLUCHT TYP II  '
      GEBIET (12) = 'UNTERBR. STRASSENSCHLUCHT TYP III '
      GEBIET (13) = 'UNTERBR. STRASSENSCHLUCHT TYP IV  '
      GEBIET (14) = 'UNTERBR. STRASSENSCHLUCHT TYP V   '
      GEBIET (15) = 'UNTERBR. STRASSENSCHLUCHT TYP VI  '
      GEBIET (16) = 'UNTERBR. STRASSENSCHLUCHT TYP VII '
      GEBIET (17) = 'UNTERBR. STRASSENSCHLUCHT TYP VIII'
      GEBIET (18) = 'UNTERBR. STRASSENSCHLUCHT TYP IX  '
      GEBIET (19) = 'LOCKERE BEBAUUNG TYP I            '
      GEBIET (20) = 'LOCKERE BEBAUUNG TYP II           '
      GEBIET (21) = 'LOCKERE BEBAUUNG TYP III          '
      GEBIET (22) = 'LOCKERE BEBAUUNG TYP IV           '
      GEBIET (23) = 'LOCKERE BEBAUUNG TYP V            '
      GEBIET (24) = 'LOCKERE BEBAUUNG TYP VI           '
      GEBIET (25) = 'LOCKERE BEBAUUNG TYP VII          '

      BESTGR (1) = 'UNTERE ZUENDDISTANZEN                   '
      BESTGR (2) = 'KONZENTRATIONEN AN AUFPUNKTEN IM FERNFELD'

      DRU (1) = 'LPT1'
      DRU (2) = 'COM1'

      EINDAT = 'VDISF2.INI'

      CALL PARSET


C======================= EINFUEHRUNGS-BILDSCHIRM I ===================

      CALL CLS
      CALL EINBI

C======================= EINFUEHRUNGS-BILDSCHIRM II ===================

      CALL CLS
      CALL EINBII

C================= GGF. EINLESEN DER PARAMETER AUS DATEI ==============

1001  CALL CLS
109   WRITE (6,9) JANEIN(DDA)
  9   FORMAT (' EINGANGSPARAMETER AUS EINER DATEI EINLESEN?',T49,A4,
     &          T55,'> '\)
      READ (5,'(A)',END=103,ERR=109) JN

      IF (ICHAR(JN).EQ.32) THEN
         IF  (DDA.EQ.1) THEN
             GOTO 108
         ELSE
             GOTO 103
         END IF
      ELSE IF (JN.EQ.'J'.OR.JN.EQ.'j') THEN
              DDA = 1
              GOTO 108
      ELSE IF (JN.EQ.'N'.OR.JN.EQ.'n') THEN
              GOTO 103
      ELSE
              GOTO 109
      END IF

108      WRITE (6,18) EINDAT

 18      FORMAT (' BITTE DATEINAMEN ANGEBEN (HOECHSTENS 12 ZEICHEN)',
     &           /T40,A,T55,'> '\)

         READ (5,'(A)',END=103,ERR=108) STRING
         EINOLD = EINDAT
         IF (ICHAR(STRING(1:1)).GT.32) EINDAT=STRING(1:12)

         GOTO 222


707      WRITE (6,77) JANEIN(DDA)
         EINDAT = EINOLD
 77      FORMAT (' DIESE DATEI EXISTIERT NICHT.'/,' NEUER VERSUCH?',
     &           T49,A,T55,'> '\)
         READ (5,'(A)',END=103,ERR=707) JN

      IF (ICHAR(JN).EQ.32) THEN
         IF  (DDA.EQ.1) THEN
                             GOTO 108
                        ELSE
                             GOTO 103
         END IF
      ELSE IF (JN.EQ.'J'.OR.JN.EQ.'j') THEN
                             DDA = 1
                             GOTO 108
      ELSE IF (JN.EQ.'N'.OR.JN.EQ.'n') THEN
                             GOTO 103
      ELSE
                             GOTO 707
      END IF

222     OPEN (UNIT=11,FILE=EINDAT,STATUS='OLD',ERR=707)
2221    CALL PAREIN (IGO)
        GOTO 9999

C======== ABFRAGE AUF SPEICHERUNG DER EINGABEN UND ERGEBNISSE ==========

      IF (IWB.EQ.1) GOTO 111
103   DDA = 2
      WRITE (6,13) JANEIN(DAB)
 13   FORMAT (/'$EINGANGSPARAMETER UND ERGEBNISSE ABSPEICHERN ?',T49,
     &         A4,T55,'> '\)
      READ (5,'(A)',END=999,ERR=103) JN

      IF (ICHAR(JN).EQ.32) THEN
         IF  (DAB.EQ.1) THEN
                             GOTO 104
                        ELSE
                             GOTO 1041
         END IF
      ELSE IF (JN.EQ.'J'.OR.JN.EQ.'j') THEN
                             DAB = 1
                             GOTO 104
      ELSE IF (JN.EQ.'N'.OR.JN.EQ.'n') THEN
                             GOTO 1041
      ELSE
                             GOTO 103
      END IF


1041     DAB = 2
         WRITE (6,*) 'KEINE SPEICHERUNG !'
         GOTO 999
104      WRITE (6,14) DATEI
 14      FORMAT ('$DATEINAME FUER DIE ERGEBNISSE ? ',T40,A,T55,'> '\)
         READ (5,'(A)',END=999,ERR=104) STRING

         IF (ICHAR(STRING(1:1)).GT.32) THEN
             DATEI=STRING(1:12)
             CLOSE (UNIT=33)
         END IF

         OPEN (UNIT=33,FILE=DATEI,STATUS='NEW',ERR=105)

         GOTO 111

105      WRITE (6,15) JANEIN(DAB)
 15      FORMAT ('$DIE DATEI EXISTIERT BEREITS. UEBERSCHREIBEN?',
     &           T49,A,T55,'> '\)
         READ (5,'(A)',END=999,ERR=105) JN

         IF (ICHAR(JN).EQ.32) THEN
            IF (DAB.EQ.1) THEN
               GOTO 110
            ELSE
               GOTO 103
            END IF
         ELSE IF (JN.EQ.'J'.OR.JN.EQ.'j') THEN
               GOTO 110
         ELSE IF (JN.EQ.'N'.OR.JN.EQ.'n') THEN
               GOTO 103
         ELSE
               GOTO 105
         END IF


110      CLOSE (UNIT=33)
         OPEN (UNIT=33,FILE=DATEI,STATUS='OLD',ERR=105)
111      CONTINUE

C============================== HAUPTTEIL ============================

999   CALL EINGAB
9999  CALL CLS
      CALL CHARGR
      IF (NBES.EQ.1) CALL UZDIS
      IF (NBES.EQ.2) CALL FERNF
      CALL CLS
      IF (DAB.EQ.1) THEN
C     ************
C     * AUSDRUCK *
C     ************
         RAUS = 33
         CALL PARAUS
      END IF

C     **********************
C     * BILDSCHIRM AUSGABE *
C     **********************
      RAUS = 6
      CALL PARAUS

106   WRITE (6,16) JANEIN(DDRU)
16    FORMAT (/'$MOECHTEN SIE EINEN AUSDRUCK ?',T50,A5,T65,'> '\)
      READ (5,'(A)',END=99,ERR=106) JN

      IF (ICHAR(JN).EQ.32) THEN
         IF  (DDRU.EQ.1) THEN
             GOTO 166
         ELSE
             GOTO 117
         END IF
      ELSE IF (JN.EQ.'J'.OR.JN.EQ.'j') THEN
              DDRU = 1
              GOTO 166
      ELSE IF (JN.EQ.'N'.OR.JN.EQ.'n') THEN
              DDRU = 2
              GOTO 117
      ELSE
              GOTO 106
      END IF


166   RAUS = 7
      IF (DRUNU.EQ.0) THEN
         DRUNU = 1
162      WRITE (6,161) DRUNU
161      FORMAT ('$ GEBEN SIE IHRE DRUCKERSCHNITTSTELLE AN:'//
     &   '$ 1 = LPT1'/,'$ 2 = COM1'//,'$ 3 = QUIT'//,1X,I1,' > '\)
         READ (5,'(I1)') NU
         IF (NU.NE.0) THEN
            IF (NU.LT.1.OR.NU.GT.3) THEN
               GOTO 162
            ELSE IF (NU.EQ.3) THEN
               GOTO 117
            ELSE
               DRUNU = NU
            END IF
         END IF
      END IF
      OPEN (UNIT=7,FILE=DRU(DRUNU),ERR=166)
      CALL PARAUS

C =================== ENDE DER BERECHNUNGEN ? =========================

117   CALL CLS
      IF (IGO.EQ.0) THEN
107      WRITE (6,17) JANEIN(1)
 17      FORMAT (/'$SOLLEN WEITERE BERECHNUNGEN GEMACHT WERDEN ?',
     &        T50,A5,T65,'> '\)
         READ (5,'(A)',END=99,ERR=107) JN

         IF (ICHAR(JN).EQ.32) THEN
            GOTO 1001
         ELSE IF (JN.EQ.'J'.OR.JN.EQ.'j') THEN
                 IWB = 1
                 GOTO 1001
         ELSE IF (JN.EQ.'N'.OR.JN.EQ.'n') THEN
                  CLOSE (UNIT=33)
                  GOTO 99
         ELSE
                 GOTO 107
         END IF
      ELSE
         GOTO 2221
      END IF


99    END

C ---------------------------------------------------------------------

      BLOCKDATA


      CHARACTER       DATEI*12,TITEL*70,STNAME(31)*23,GEBIET(25)*34,
     &                BESTGR(2)*41,FORM(4)*70,JANEIN(2)*4,JN,EINHEI*8,
     &                CHARL*3,EINDAT*12,DATUM*10

      INTEGER         MQ,NGEB,NGAS,NBES,NFORM,NQ,IFREI,RAUS,DAB,IDA

      REAL            SIEDP(31),RHONOR(31),UZG(31),TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q(20),T(20),RHO,UZD(2),TE,DX,GSTRI,
     &                XQ,YQ,ZQ,QIQIT,TQ,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU(2),OZG(31),OZD(2)

      COMMON/GLOBAL/  MQ,NGEB,NGAS,NBES,TE,XQ,YQ,ZQ,TQ,RAUS,
     &                NFORM,NQ,SIEDP,RHONOR,UZG,TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q,T,RHO,IFREI,UZD,DX,GSTRI,
     &                QIQIT,DAB,IDA,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU,OZG,OZD

      COMMON/CHA/     DATEI,TITEL,STNAME,GEBIET,BESTGR,FORM,JANEIN,
     &                EINHEI,CHARL,JN,EINDAT,DATUM


        DATA  SIEDP/    56.3,-84.0,52.1,-33.4,80.2,25.7,-4.1,-11.7,
     &                  -34.1,80.8,-24.8,118.0,-88.6,78.0,-103.8,10.5,
     &                  -19.2,-78.5,-161.5,64.7,28.0,7.4,-42.1,82.0,
     &                  -48.7,34.1,-10.6,-60.2,-13.7,144.5,-40.0/

        DATA  RHONOR/   2.59,1.16,2.51,.77,3.49,1.21,2.41,2.70,3.17,
     &                  3.75,2.05,2.68,1.35,2.05,1.26,1.97,1.34,1.97,
     &                  .72,1.43,3.21,4.42,2.01,2.68,1.91,2.60,2.92,
     &                  1.54,2.79,4.74,3.0/

        DATA  UZG/      2.5,2.3,2.8,15.4,1.2,5.4,1.4,1.5,100.,1.2,2.7,
     &                  4.0,2.7,3.5,2.3,2.6,7.0,100.,4.4,5.5,1.3,100.,
     &                  2.1,2.0,2.0,1.9,100.,4.3,3.8,1.0,2.1/

        DATA  OZG/      13.0,78.0,31.0,33.6,8.0,46.6,16.3,10.,0.,8.3,
     &                  32.0,17.0,14.7,15.0,32.4,100.,73.0,0.,16.5,
     &                  44.0,7.6,0.,11.,12.0,12.,24.0,0.,45.5,
     &                  31.0,7.6,11./

        DATA  POTZU/    9999.,9999./

        DATA            JANEIN /'JA ','NEIN'/

      END
C ----------------------------------------------------------------------

C ----------------------------------------------------------------------
                        SUBROUTINE PARSET

C                SETZEN ALLER DEFAULTWERTE AUF DIE
C             DES BEISPIELS ANH.B1.1 IN VDI 3783 BL.2
C ----------------------------------------------------------------------


      CHARACTER       DATEI*12,TITEL*70,STNAME(31)*23,GEBIET(25)*34,
     &                BESTGR(2)*41,FORM(4)*70,JANEIN(2)*4,JN,EINHEI*8,
     &                CHARL*3,EINDAT*12,DATUM*10

      INTEGER         MQ,NGEB,NGAS,NBES,NFORM,NQ,IFREI,RAUS,DAB,IDA

      REAL            SIEDP(31),RHONOR(31),UZG(31),TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q(20),T(20),RHO,UZD(2),TE,DX,GSTRI,
     &                XQ,YQ,ZQ,QIQIT,TQ,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU(2),OZG(31),OZD(2)

      COMMON/GLOBAL/  MQ,NGEB,NGAS,NBES,TE,XQ,YQ,ZQ,TQ,RAUS,
     &                NFORM,NQ,SIEDP,RHONOR,UZG,TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q,T,RHO,IFREI,UZD,DX,GSTRI,
     &                QIQIT,DAB,IDA,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU,OZG,OZD

      COMMON/CHA/     DATEI,TITEL,STNAME,GEBIET,BESTGR,FORM,JANEIN,
     &                EINHEI,CHARL,JN,EINDAT,DATUM


      DATEI  = 'ERG.DAT'
      NQ     = 1
      NGAS   = 23
      NGEB   = 1
      NBES   = 1
      NFORM  = 3
      TE     = 1.
      TITEL  = 'SPONTANE FREIS. VON PROPAN GEM. ANH.B1.1, VDI 3783 BL.2'
      DATUM  = '01.09.1992'
      TPROZ  = 15.

      DO 121 I=1,20
      T(I)   = 0.
121   Q(I)   = 2000.

      RETURN
      END

C-----------------------------------------------------------------------
                        SUBROUTINE EINBI
C-----------------------------------------------------------------------

C     ERZEUGT DEN EINFUEHRUNGS-BILDSCHIRM I
C     -------------------------------------

      WRITE (6,100)27,109,27,109
      WRITE (6,200)
      READ (*,*)
 100  FORMAT (80('='),/,
     & 8('='),' PROGRAMM ZUR VDI-RICHTLINIE  3783  -BLATT 2-  V 4.0  ',
     & '01.09.1992 ', 7('=')/,80('='),// '$',A1,'[1;7',A1,
     & '--->  DIESES  PROGRAMM STELLT  NUR EINE HILFE  FUER DIE',
     & ' ANWENDUNG  DER VDI- ',/,T7,' RICHTLINIE 3783 BLATT 2 DAR.   ',
     & '                                       '//,' --->  MASSGEBEND',
     & '  IST DER  GEDRUCKTE TEXT  DER VDI-RICHTLINIE  3783 BLATT 2.',
     &  /,'$',A1,'[0;37;40',A1,//,
     & ' --->  DER GEDRUCKTE TEXT ENTHAELT WEITERGEHENDE WICHTIGE',
     & ' ANGABEN, DIE BEI DER',/,
     & '       DURCHFUEHRUNG VON SICHERHEITSANALYSEN DRINGEND ZU',
     & ' BEACHTEN SIND.',//,
     & 80('=')//,
     & ' --->  VOR DER ERSTMALIGEN ANWENDUNG DER VDI-RICHTLINIE 3783',
     & ' BLATT 2 EMPFIEHLT',/,
     & '       ES SICH, DIE IM ANHANG  DES GEDRUCKTEN',
     & ' TEXTES  AUFGEFUEHRTEN  BEISPIELE',/,
     & '       NACHZUVOLLZIEHEN.',//,
     & 80('=')//\)

 200  FORMAT (T50,'WEITER MIT <RET>'\)

      RETURN

      END

C-----------------------------------------------------------------------
                        SUBROUTINE EINBII
C-----------------------------------------------------------------------

      WRITE (6,10) 27,109,27,109,27,109,27,109,27,109,27,109
 10   FORMAT (25('='),' HINWEISE ZUR EINGABETECHNIK  ',
     & 25('=')//,
     &  ' BEI DEM ZEICHEN  > WIRD ',A1,'[1;7',A1,'EINE',A1,'[0;37;40',
     &  A1,' EINGABE ERWARTET. MOEGLICH SIND:',
     &  //'  <RETURN>    -  DER VOREINGESTELLTE WERT WIRD UEBERNOMMEN'/,
     &  '   ZAHL       -  DIESE ZAHL WIRD GENOMMEN, SOFERN SIE IN DEN ',
     &  'GRENZEN LIEGT'/,'  J ODER j    -  ALS ANTWORT FUER JA'/,'  N ',
     &  'ODER n    -  ALS ANTWORT FUER NEIN',///
     &  ' BEI EINEM DOPPELPFEIL >> WERDEN ',A1,'[1;7',A1,'ZWEI',A1,
     &  '[0;37;40',A1,' WERTE ERWARTET, MOEGLICH SIND DIE EINGABEN: ',
     &  /'  <RETURN>    -  DIE VOREINGESTELLTEN WERTE WERDEN UEBERNOMM',
     &  'EN'/,'  ZAHL1,ZAHL2 \'/,'  ZAHL1,      -  ',A1,'[1;7',A1,
     &  '! WICHTIG !',A1,'[0;37;40',A1,' DAS KOM',
     &  'MA NICHT VERGESSEN !'/,'       ,ZAHL2 /',///' BEI FALSCHEN AN',
     &  'TWORTEN WIRD DIE FRAGE WIEDERHOLT.',//80('=')//,T50,'WEITER',
     &  ' MIT <RET>'\)
      READ(*,*)

      RETURN
      END

C ----------------------------------------------------------------------
                        SUBROUTINE PAREIN (IGO)

C               EINLESEN ALLER PARAMETER UND WERTE
C ----------------------------------------------------------------------


      CHARACTER       DATEI*12,TITEL*70,STNAME(31)*23,GEBIET(25)*34,
     &                BESTGR(2)*41,FORM(4)*70,JANEIN(2)*4,JN,EINHEI*8,
     &                CHARL*3,EINDAT*12,DATUM*10

      INTEGER         MQ,NGEB,NGAS,NBES,NFORM,NQ,IFREI,RAUS,DAB,IDA

      REAL            SIEDP(31),RHONOR(31),UZG(31),TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q(20),T(20),RHO,UZD(2),TE,DX,GSTRI,
     &                XQ,YQ,ZQ,QIQIT,TQ,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU(2),OZG(31),OZD(2)

      COMMON/GLOBAL/  MQ,NGEB,NGAS,NBES,TE,XQ,YQ,ZQ,TQ,RAUS,
     &                NFORM,NQ,SIEDP,RHONOR,UZG,TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q,T,RHO,IFREI,UZD,DX,GSTRI,
     &                QIQIT,DAB,IDA,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU,OZG,OZD

      COMMON/CHA/     DATEI,TITEL,STNAME,GEBIET,BESTGR,FORM,JANEIN,
     &                EINHEI,CHARL,JN,EINDAT,DATUM



      REAL            BOUND(2,5)
      CHARACTER       TERM(17)*2,PAR*2,LINE*80,STRING*80
      INTEGER         IGO

C  *********************************************************************
C  **** BESCHREIBUNG DER LOKALEN VARIABLEN DER SUBROUTINE PAREIN *******
C  *********************************************************************
C  * BOUND  WERTEBEREICH EINZELNER PARAMETER                           *
C  * IGO    WENN GO = 0 DANN ENDE DER EINLESEDATEI ERREICHT            *
C  * IPAR   STELLE DES PARAMETERS IN DER DATA-ANWEISUNG                *
C  * TERM   TERMINOLOGIE                                               *
C  * PAR    PARAMETER (DIE ERSTEN 2 BUCHSTABEN EINER ZEILE) :          *
C  *         TI  -  TITEL                       TERM(6)                *
C  *         DA  -  DATUM                       TERM(7)                *
C  *         NA  -  NAME DER ERGEBNISDATEI      TERM(16)               *
C  *         NU  -  NUMMER DES GASES            TERM(1)                *
C  *         ST  -  STOFFNAME (FALLS SONDERGAS) TERM(8)                *
C  *         SI  -  SIEDEPUNKT                  TERM(9)                *
C  *         RH  -  RHO                         TERM(10)               *
C  *         UZ  -  UNTERE ZUENDGRENZE          TERM(11)               *
C  *         OZ  -  OBERE ZUENDGRENZE           TERM(17)               *
C  *         FO  -  FORM DER FREISETZUNG        TERM(2)                *
C  *         PR  -  PROZESSTEMPERATUR           TERM(12)               *
C  *         AN  -  ANZAHL DER STUETZSTELLEN    TERM(3)                *
C  *         AU  -  AUSBREITUNGSGEBIET          TERM(4)                *
C  *         BE  -  BESTIMMUNGSGROESSEN         TERM(5)                *
C  *         RE  -  RESET - DEFAULT-EINSTELLUNG ALLER EINGABEPARAMETER *
C  *                (MUSS ERSTER BEFEHL SEIN, SONST WIRD ER IGNORIERT) *
C  *                                            TERM(13)               *
C  *         GO  -  STARTEN (BATCH)             TERM(14)               *
C  *         EN  -  ENDE DER DATEI              TERM(15)               *
C  * LINE   VARIABLE ZUM EINLESEN EINER ZEICHENKETTE                   *
C  * I,J,K,L  HILFSINTEGERVARIABLEN                                    *
C  *   DATA BOUND      1.-31.  1.-4.  1.-20.  1.-25.  1.-2.            *
C  * = GRENZEN FUER :  NGAS    NFORM   AN     NGEB    NBES             *
C  *********************************************************************

        DATA TERM / 'NU','FO','AN','AU','BE','TI','DA','ST','SI','RH',
     &              'UZ','PR','RE','GO','EN','NA','OZ' /

        DATA BOUND  /1.,31.,1.,4.,1.,20.,1.,25.,1.,2. /

100     READ (11,'(A)',END=500,ERR=500) LINE
        L=LAEN(LINE)

C LEERZEILEN UND KOMMENTARZEILEN UEBERSPRINGEN:

        IF (L.LT.2 .OR. LINE(1:1).EQ.'!') GOTO 100
        PAR(1:2)=LINE(1:2)

C KLEINSCHREIBUNG UMWANDELN:

        I=ICHAR(PAR(1:1))
        IF (I.GT.90)     PAR(1:1)=CHAR(I-32)
        I=ICHAR(PAR(2:2))
        IF (I.GT.90)     PAR(2:2)=CHAR(I-32)

C PARAMETER IN DER TABELLE SUCHEN:

        DO  200  IPAR=1,17
        IF (PAR.EQ.TERM(IPAR))  GOTO 220
200     CONTINUE

210     PRINT 1,LINE(1:L)
  1     FORMAT(/' ZEILE NICHT INTERPRETIERBAR '/
     &         3X,'>>',A,'<<'/' TASTE DRUECKEN...')
        READ (*,*)
        GOTO 100

220     IF (IPAR.EQ.15)  THEN
C          DAS WAR'S ! (ENDPARAMETER ERREICHT)
           IGO = 0
           CLOSE (UNIT=11)
           GOTO 500
        END IF
        IF (IPAR.EQ.14)  THEN
C          GO - NAECHSTE DATENREIHE
           IGO = 1
           GOTO 500
        END IF
        IF (IPAR.EQ.13)  THEN
C          RESET - PARAMETER PARAMETER AUF BEISPIELWERTE ZURUECKSETZEN
           CALL PARSET
        END IF


C  I = POSITION DES GLEICHHEITSZEICHENS:

        I=INDEX(LINE(1:L),'=')
        IF (I.EQ.0)  GOTO 100

C KOMMENTAR AM ENDE DER ZEILE ?

        K=INDEX(LINE(I+1:L),'!')
        IF (K.GT.0)  L=K+I-1

C ES WIRD ALLES VON "=" BIS "!" IN AA GELESEN:

        IF (IPAR.EQ.6.OR.IPAR.EQ.7.OR.IPAR.EQ.8.OR.IPAR.EQ.16) THEN
        READ (LINE(I+1:L),'(A)',ERR=210) AA
        ELSE
        READ (LINE(I+1:L),2,ERR=210) AA
  2     FORMAT(G10.0)
        END IF

        IF (IPAR.EQ. 6) THEN
           TITEL(1:70)=LINE(I+1:L)
           GOTO 100
        END IF

        IF (IPAR.EQ. 7) THEN
           DATUM(1:10)=LINE(I+1:L)
           GOTO 100
        END IF

        IF (IPAR.EQ.16) THEN
           DAB = 1
           DATEI(1:L-I)=LINE(I+1:L)
505        OPEN (UNIT=33,FILE=DATEI,STATUS='NEW',ERR=105)
           GOTO 111
105        WRITE (6,15) DATEI,JANEIN(1)
 15        FORMAT (/'$DIE AUSGABEDATEI ',A,' EXISTIERT BEREITS.'/,
     &             ' UEBERSCHREIBEN?',T49,A4,T55,'> '\)
           READ (5,'(A)',END=111,ERR=105) JN

           IF (ICHAR(JN).EQ.32) THEN
              GOTO 110
           ELSE IF (JN.EQ.'J'.OR.JN.EQ.'j') THEN
              GOTO 110
           ELSE IF (JN.EQ.'N'.OR.JN.EQ.'n') THEN
              GOTO 103
           ELSE
              GOTO 105
           END IF

103   WRITE (6,13) JANEIN(1)
 13   FORMAT (/'$EINGANGSPARAMETER UND ERGEBNISSE ABSPEICHERN ?',T49,
     &         A,T55,'> '\)
      READ (5,'(A)',ERR=103) JN

           IF (ICHAR(JN).EQ.32) THEN
              GOTO 104
           ELSE IF (JN.EQ.'J'.OR.JN.EQ.'j') THEN
              GOTO 104
           ELSE IF (JN.EQ.'N'.OR.JN.EQ.'n') THEN
              DAB=2
              WRITE (6,*) 'KEINE SPEICHERUNG !'
              GOTO 111
           ELSE
              GOTO 103
           END IF

104        WRITE (6,14) DATEI
 14        FORMAT ('$BITTE GEBEN SIE DEN NEUEN NAMEN EIN',T40,A,T55,
     &              '> '\)
           READ (5,'(A)',ERR=104) STRING
           IF (ICHAR(STRING(1:1)).GT.32) DATEI=STRING(1:12)
           GOTO 505
110        CLOSE (UNIT=33)
           OPEN (UNIT=33,FILE=DATEI,STATUS='OLD',ERR=105)
111        CONTINUE
           GOTO 100
        END IF

        IF (IPAR.EQ. 8)  THEN
           STNAME(31)=LINE(I+1:L)
           GOTO 100
        END IF


        IF (IPAR.LE.7) THEN
           IF (AA.LT.BOUND(1,IPAR) .OR. AA.GT.BOUND(2,IPAR)) THEN
              PRINT 3,LINE(1:L),AA
  3           FORMAT (/' ZEILE >',A,'< IGNORIERT'/
     &               9X,'ZAHL',G15.5,' NICHT IM RICHTIGEN BEREICH')
              PRINT *,'WERTEBEREICH:',BOUND(1,IPAR),' - ',BOUND(2,IPAR)
              PRINT *,'TASTE DRUECKEN...'
              READ (*,*)
              GOTO 100
           END IF
        END IF


        IF (IPAR.EQ.1)        NGAS  = INT(AA)
        IF (IPAR.EQ.2)        NFORM = INT(AA)
        IF (IPAR.EQ.3)  THEN
C       ANZAHL DER STUETZSTELLEN
           NQ    = INT(AA)
           IF (NQ .GT. 19) GOTO 666
           T(1) = 0.
           Q(1) = 0.
           DO  143  I=1,NQ
              READ (11,'(A)',END=500,ERR=500) LINE
              IF (ICHAR(LINE(1:1)).NE.32) THEN
              J = INDEX(LINE,',')
              IF (J.GE.1) THEN
                 IF (ICHAR(LINE(J+1:J+1)).GT.32)
     &              READ (LINE(J+1:),61) Q(I)
                 END IF
                 IF (J.GT.1) READ (LINE(1:J),61)  T(I)
                 IF (NQ.GT.2) THEN
C    WERDEN MEHR ALS ZWEI STUETZSTELLEN ANGEGEBEN (KONT. FREISETZUNG
C    MIT ZEITLICH VARIABLER EMISSION)...
C    DIE ERSTE STUETZSTELLE MUSS AN DER STELLE T=0 SEC SEIN!
                  IF (I .EQ. 1 .AND. T(1) .NE. 0.) GOTO 777
                  IF (I .EQ. 1 .AND. Q(1) .NE. 0.) GOTO 778
                  IF (I .EQ. 2 .AND. T(I) .NE. 1.) GOTO 779
                  IF (I.GT.1.AND.T(I).LE.T(I-1)) GOTO 780
               END IF
            END IF

143      CONTINUE

      END IF

61    FORMAT (G10.0)

      IF (IPAR.EQ.4)        NGEB         = INT(AA)
      IF (IPAR.EQ.5)        NBES         = INT(AA)
      IF (IPAR.EQ.9)        SIEDP(NGAS)  = AA
      IF (IPAR.EQ.10)       RHONOR(NGAS) = AA
      IF (IPAR.EQ.11)       UZG(NGAS)    = AA
      IF (IPAR.EQ.17)       OZG(NGAS)    = AA

      IF (IPAR.EQ.12)       TPROZ        = AA

      GOTO 100

C ENDE DER EINGABEDATEI ERREICHT

500   CONTINUE

      IF (NBES .EQ. 1 .AND. UZG(NGAS) .GE. 100.) THEN
         GOTO 784
      END IF

      GOTO 9999

C  ABBRUCH WEGEN ZU GROSSER ANZAHL VON STUETZSTELLEN

666   WRITE (6,6666) EINDAT
6666  FORMAT ('$DIE ANZAHL DER STUETZSTELLEN IST GROESSER ALS 19',/,
     &        'BITTE DIE DATEI ',A12,' UEBERPRUEFEN!')
      STOP

C  ABBRUCH WEGEN FALSCHER ERSTER ZEIT

777   WRITE (6,7777) EINDAT
7777  FORMAT ('$AN DER ERSTEN STUETZSTELLE MUSS DIE ZEIT 0 SEC SEIN!',
     &        /,' BITTE DIE DATEI ',A12,' UEBERPRUEFEN!')
      STOP

778   WRITE (6,7778) EINDAT
7778  FORMAT('$AN DER ERSTEN STUETZSTELLE MUSS DER MASSENSTROM 0 SEIN!',
     &        /,' BITTE DIE DATEI ',A12,' UEBERPRUEFEN!')
      STOP

779   WRITE (6,7779) EINDAT
7779  FORMAT('$AN DER ZWEITEN STUETZSTELLE MUSS DIE ZEIT 1 SEC SEIN!',
     &        /,' BITTE DIE DATEI ',A12,' UEBERPRUEFEN!')
      STOP

780   WRITE (6,781) EINDAT
781   FORMAT ('$DIE ZEIT MUSS ANSTEIGEND ANGEGEBEN WERDEN!',
     &        /,'$BITTE DIE DATEI ',A12,' UEBERPRUEFEN!')
      STOP

784   WRITE (6,785) STNAME (NGAS),EINDAT
785   FORMAT (/,' ',A23,/,'$IST NICHT BRENNBAR!',
     &        ' BITTE DIE DATEI',/,' ',A12,/,'$UEBERPRUEFEN!')
      STOP


9999  RETURN


      END

C-----------------------------------------------------------------------
                        SUBROUTINE EINGAB

C                  EINGABEMENUE  UND  KONTROLLE
C-----------------------------------------------------------------------



      CHARACTER       DATEI*12,TITEL*70,STNAME(31)*23,GEBIET(25)*34,
     &                BESTGR(2)*41,FORM(4)*70,JANEIN(2)*4,JN,EINHEI*8,
     &                CHARL*3,EINDAT*12,DATUM*10

      INTEGER         MQ,NGEB,NGAS,NBES,NFORM,NQ,IFREI,RAUS,DAB,IDA

      REAL            SIEDP(31),RHONOR(31),UZG(31),TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q(20),T(20),RHO,UZD(2),TE,DX,GSTRI,
     &                XQ,YQ,ZQ,QIQIT,TQ,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU(2),OZG(31),OZD(2)

      COMMON/GLOBAL/  MQ,NGEB,NGAS,NBES,TE,XQ,YQ,ZQ,TQ,RAUS,
     &                NFORM,NQ,SIEDP,RHONOR,UZG,TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q,T,RHO,IFREI,UZD,DX,GSTRI,
     &                QIQIT,DAB,IDA,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU,OZG,OZD

      COMMON/CHA/     DATEI,TITEL,STNAME,GEBIET,BESTGR,FORM,JANEIN,
     &                EINHEI,CHARL,JN,EINDAT,DATUM



      CHARACTER       PF*3,STRING*80
      REAL            AA
      INTEGER         NU

C  *********************************************************************
C  **** BESCHREIBUNG DER LOKALEN VARIABLEN DER SUBROUTINE EINGAB *******
C  *********************************************************************
C  * AA     HILFSVARIABLE FUER EINGABE DER QUELLSTAERKE BEI 1 STUETZST.*
C  * NU     HILFSVARIABLE FUER AUSWAHL EINES MENUEPUNKTES              *
C  * PF     VARIABLE ZUM SETZEN DER PFEILE BEI EINGABE DES EMISSIONS-  *
C  *        VERLAUFS (SIE SOLLEN IM AUSGABEBILDSCHIRM NICHT STOEREN).  *
C  * STRING VARIABLE ZUM EINLESEN EINER ZEICHENKETTE                   *
C  *********************************************************************

      IJK = 0
      PF = '>> '

C====================== ABFRAGE DES TITELS ============================

2000  CONTINUE
102   WRITE (6,12) TITEL
 12   FORMAT (//' TITEL: ',A/'$',6X,'> '\)
      READ (5,'(A)',END=2000,ERR=102) STRING
      IF (ICHAR(STRING(1:1)).NE.32) TITEL = STRING(1:70)

C====================== ABFRAGE DES DATUMS =============================

      IF (IDA.EQ.2) THEN
100      WRITE (6,10) DATUM
 10      FORMAT (/' BITTE GEBEN SIE DAS AKTUELLE DATUM AN:',
     &           T43,A10,T55,'> '\)
         READ (5,'(A)',END=2000,ERR=100) STRING
         IF (ICHAR(STRING(1:1)).NE.32) DATUM = STRING(1:10)
         IDA = 1
      END IF

C========================== GASAUSWAHL ================================

      CALL CLS
      WRITE(6,20)
 20   FORMAT(34('='),' GASAUSWAHL ',34('=')//)

      DO 222 I=1,10
      WRITE (6,21) I,STNAME(I),I+10,STNAME(I+10),I+20,STNAME(I+20)
 21   FORMAT ('+',3(I3,'=',A23))
222   CONTINUE

      WRITE(6,22)
 22   FORMAT('$ 31=SONSTIGES GAS')

 200  WRITE(6,23) NGAS
 23   FORMAT(T30,'BITTE NUMMER EINGEBEN',T54,I2,T59,'> '\)
      READ(5,'(A)',END=777,ERR=200) STRING
      IF (ICHAR(STRING(1:1)).GT.32) READ (STRING,2,ERR=200) NU
      IF (ICHAR(STRING(1:1)).EQ.32) THEN
         IF (NGAS.NE.31) THEN
             GOTO 801
         ELSE
             GOTO 203
         END IF
      END IF

      IF (NU.LT.1. OR .NU.GT.31)  GOTO 200
      NGAS=NU
      IF (NGAS.NE.31) GOTO 801

C============ ABFRAGE FUER SONSTIGE GASE (SONDERGAS) ==================

203   CALL CLS
204   WRITE (6,24) STNAME (31)
24    FORMAT ('$NAME DES GASES (MAX. 23 ZEICHEN):',T36,A,T60,'> '\)
      READ (5,'(A)',END=777,ERR=204) STRING
      IF (ICHAR(STRING(1:1)).NE.32) STNAME(31) = STRING(1:23)

205   WRITE (6,25) SIEDP (31)
 25   FORMAT (/'$SIEDEPUNKT [GRAD C]: (DIESE EINGABE WIRD NUR BEI',/,
     &        '$UNTER DRUCK VERFLUESSIGTEM GAS BERUECKSICHTIGT)',
     &        T52,G10.4,T60,'> '\)
      READ(5,'(A)',END=777,ERR=205) STRING
      IF (ICHAR(STRING(1:1)).GT.32) READ (STRING,1,ERR=205) SIEDP(31)

206   WRITE (6,26) RHONOR(31)
 26   FORMAT (/'$NORMDICHTE BEI 0 GRAD C UND 1013 HPA IN [KG/M**3]:',
     &        T52,G10.4,T60,'> '\)
      READ(5,'(A)',END=777,ERR=206) STRING
      IF (ICHAR(STRING(1:1)).GT.32) READ (STRING,1,ERR=206) RHONOR(31)

207   WRITE (6,27) UZG(31)
 27   FORMAT (/'$UNTERE ZUENDGRENZE [VOL%]: (DIESE EINGABE WIRD NUR',
     &        /,' BEI DER BESTIMMUNG DER UNTEREN ZUENDDISTANZEN',/,
     &        ' BERUECKSICHTIGT)',T52,G10.4,T60,'> '\)
      READ(5,'(A)',END=777,ERR=207) STRING
      IF (ICHAR(STRING(1:1)).GT.32) READ (STRING,1,ERR=207) UZG(31)
      IF (UZG(31).LT.1) THEN
          WRITE (6,28)
28      FORMAT(/'$DIE UNTERE ZUENDGRENZE MUSS GROESSER GLEICH 1% SEIN!')

          UZG(31) = 1
          GOTO 207
      END IF

209   WRITE (6,29) OZG(31)
 29   FORMAT (/'$OBERE ZUENDGRENZE [VOL%]: (DIESE EINGABE WIRD NUR',/,
     &        ' BEI DER BESTIMMUNG DER POTENTIELL ZUENDFAEHIGEN',/,
     &        ' MASSE BERUECKSICHTIGT)',T52,G10.4,T60,'> '\)
      READ(5,'(A)',END=777,ERR=209) STRING
      IF (ICHAR(STRING(1:1)).GT.32) READ (STRING,1,ERR=209) OZG(31)
      IF (OZG(31).LT.1) THEN
          WRITE (6,291)
291   FORMAT(/'$DIE OBERE ZUENDGRENZE MUSS GROESSER GLEICH 1% SEIN!')

          OZG(31) = 1
          GOTO 209
      END IF

C============== ABFRAGE DER FREISETZUNGSFORM ==========================

801   WRITE (6,81)
 81   FORMAT (/18('-'),' IN WELCHER FORM WIRD DAS GAS FREIGESETZT?',
     &        18('-')/)

      DO 8 I=1,4
      WRITE (6,82)  I,FORM(I)
 82   FORMAT ('$',I2,' = ',A70)
  8   CONTINUE

803   WRITE (6,83) NFORM
 83   FORMAT (/T30,'BITTE NUMMER EINGEBEN',T54,I1,T59,'> '\)
      READ (5,'(A)',END=777,ERR=803) STRING
      IF (ICHAR(STRING(1:1)).GT.32) READ (STRING,2,ERR=803) NU
      IF (ICHAR(STRING(1:1)).EQ.32) GOTO 99
      IF (NU.LE.0. OR .NU.GT.4) GOTO 803
      NFORM = NU

99    IF (NGAS.EQ.4.AND.NFORM.NE.4) THEN
         WRITE (6,84)
84       FORMAT (80('!')/'$!',T80,'!',/'$!  AMMONIAK BREITET ',
     &'SICH NUR IN DEM FALL ALS SCHWERES GAS AUS, WENN ES UNTER  !'/'$',
     &'!  DRUCK VERFLUESSIGT FREIGESETZT WIRD. DIESER FALL WIRD IN DER',
     &' OPTION 4 GE-  !'/'$!  SONDERT  BETRACHTET. IN ALLEN ANDEREN FA',
     &'ELLEN KOENNEN AMMONIAKSTOERFAELLE  !'/'$!  DIREKT MIT DER RICHT',
     &'LINIE VDI 3783 -BLATT 1- BERECHNET WERDEN.',T80,'!',/'$!',T80,
     &'!',/80('!'),/,T60,'BITTE <RET> DRUECKEN')
         READ(*,*)
         GOTO 2000
      END IF

C=================== ABFRAGE DER PROZESSTEMPERATUR ====================

      IF (NFORM.EQ.2) THEN
805      WRITE (6,85) STNAME(NGAS),SIEDP(NGAS)
85       FORMAT (/'$DRUCKLOS VERFLUESSIGTE GASE SIND AUF ODER UNTER DE',
     &           'N SIEDEPUNKT ABGEKUEHLT. DAS',/' VERDAMPFTE GAS HAT ',
     &           'DAHER PROZESSTEMPERATUR, MAXIMAL SIEDETEMPERATUR. DI',
     &           'E SIEDE-',/' TEMPERATUR VON ',A,' BETRAEGT ',G10.4,
     &           ' GRAD C.')
      END IF

      IF (NFORM.LE.2) THEN
806      WRITE (6,86) TPROZ
86       FORMAT (/'$BITTE PROZESSTEMPERATUR IN GRAD C ANGEBEN',T50,
     &           G10.4,T59,'> '\)
         READ (5,'(A)',END=777,ERR=806) STRING
         IF (ICHAR(STRING(1:1)).GT.32) READ (STRING,1,ERR=806) TPROZ
      END IF

C=================== ABFRAGE DES EMISSIONSVERLAUFS ====================

3000  CALL CLS
      WRITE (6,30)27,109,27,109,27,109,27,109
 30   FORMAT (/31('='),' EMISSIONSVERLAUF ',31('=')//,
     &        ' BEI SPONTANER FREISETZUNG IST DIE ANZAHL DER STUETZ',
     &        'STELLEN = 1 ZU SETZEN.'//,' FREISETZUNGEN MIT ',
     &         A1,'[1;7',A1,'KONSTANTER',A1,'[0;37;40',
     &         A1,' EMISSIONSRATE WERDEN DURCH ZWEI STUETZSTELLEN',/,
     &        ' FUER DIE ZEITEN T(1)=0 UND T(2)=TQ BESCHRIEBEN.',//,
     &        ' EIN  ZEITLICH ',A1,'[1;7',A1,
     &        'VARIABLER ',A1,'[0;37;40',A1,' EMISSI',
     &        'ONSVERLAUF IST DURCH BIS ZU  19 ABSCHNITTE',/,' KONSTAN',
     &        'TER EMISSION ZU APPROXIMIEREN. ES MUSS DIE ZEIT ZUM END',
     &        'E DES EMIS-',/,' SIONSABSCHNITTS, BEZOGEN AUF DEN EMISS',
     &        'IONSBEGINN, UND  DIE DAZUGEHOERENDE',/,' QUELLSTAERKE ',
     &        ' ALS ZAHLENPAAR EINGEGEBEN WERDEN  (SIEHE ABSCHNITT 4.2',
     &        ' DER',/,' RICHTLINIE).',/)

C **** ABFRAGE DER ANZAHL DER STUETZSTELLEN ****

301   WRITE (6,31) NQ
 31   FORMAT ('$ANZAHL DER STUETZSTELLEN [1-19]:',T50,I5,T70,'> '\)
      READ (5,'(A)',END=777,ERR=301) STRING
      IF (ICHAR(STRING(1:1)).GT.32) READ (STRING,2,ERR=301) NU
      IF (ICHAR(STRING(1:1)).EQ.32) GOTO 991
      IF (NU.GE.1 .AND. NU.LE.19) THEN
         NQ=NU
      ELSE
         GOTO 301
      END IF

C **** 1. FALL: EINE STUETZSTELLE (SPONTAN) ****

991   IF (NQ.EQ.1) THEN

302      WRITE (6,32) Q(1)
 32      FORMAT (/'$FREIGESETZTE MASSE OHNE LACHENANTEIL',T41,G15.4,
     &           'KG',T70,'> '\)
         READ (5,'(A)',END=777,ERR=302) STRING
         IF (ICHAR(STRING(1:1)).GT.32) READ (STRING,1,ERR=302) AA
         IF (AA.GT.0.) Q(1)=AA
         T(1)=0

C **** 2. FALL: ZWEI STUETZSTELLEN (KONTINUIERLICH-KONSTANT) ****

      ELSE IF (NQ.EQ.2) THEN

         WRITE (6,33)
 33      FORMAT (' STUETZ-       ZEIT NACH       MASSENSTROM'/
     &           ' STELLE     EMISSIONSBEGINN'/
     &           '                  [S]            [KG/S]')

        DO 3 I=1,NQ

304      WRITE (6,34) I,T(I),Q(I),PF
 34      FORMAT ('$',I4,11X,F7.1,7X,E9.3,T50,A3\)
         READ (5,'(A)',END=777,ERR=304) STRING

         IF (ICHAR(STRING(1:1)).NE.32) THEN
            J = INDEX(STRING,',')
            IF (J.GE.1) THEN
               IF (ICHAR(STRING(J+1:J+1)).GT.32)
     &            READ (STRING(J+1:),1) Q(I)
            END IF
            IF (J.GT.1) READ (STRING(1:J),1)  T(I)
         END IF

         IF (T(1) .NE. 0) THEN
            WRITE (6,35)
 35         FORMAT ('$DER ERSTE  ZEITWERT MUSS 0 SEIN !')
            T(1)=0.
            GOTO 304
         END IF

         IF (I.EQ.2.AND.Q(2).NE.Q(1)) THEN
             WRITE (6,88)
 88           FORMAT ('$BEIDE MASSENSTROEME MUESSEN GLEICH SEIN !')
             Q(2)=Q(1)
             GO TO 304
         END IF

         IF (I.GT.1.AND.T(I).LE.T(I-1)) THEN
            WRITE (6,36)
 36         FORMAT ('$BITTE DIE ZEIT ANSTEIGEND ANGEBEN!')
            GOTO 304
         END IF

         IF (I.GT.1.AND.T(I).EQ.1) THEN
            WRITE (6,39)
 39         FORMAT ('$DER ZWEITE ZEITWERT MUSS GROESSER 1 SEIN!')
            GOTO 304
         END IF

  3     CONTINUE

C **** 3. FALL: MEHR ALS ZWEI STUETZSTELLEN (KONTIN.-VARIABEL) ****

      ELSE IF (NQ.GT.2) THEN

C     DIE ERSTE STUETZSTELLE WIRD AUF (0;0) GESETZT:

         T (1) = 0.
         Q (1) = 0.
         T (2) = 1.

         WRITE (6,33)
         WRITE (6,34) 1,T(1),Q(1)

        DO 300 I=2,NQ
305      WRITE (6,34) I,T(I),Q(I),PF
         READ (5,'(A)',END=777,ERR=305) STRING

         IF (ICHAR(STRING(1:1)).NE.32) THEN
            J = INDEX(STRING,',')
            IF (J.GE.1) THEN
               IF (ICHAR(STRING(J+1:J+1)).GT.32)
     &            READ (STRING(J+1:),1) Q(I)
            END IF
            IF (J.GT.1) READ (STRING(1:J),1)  T(I)
         END IF

         IF (I .EQ. 2 .AND. T(I) .NE. 1) THEN
            WRITE (6,37)
 37         FORMAT ('$DER ZWEITE ZEITWERT MUSS 1 SEIN !')
            T(2)=1.
            GOTO 305
         END IF

         IF (I.GT.1.AND.T(I).LE.T(I-1)) THEN
            WRITE (6,38)
 38         FORMAT ('$BITTE DIE ZEIT ANSTEIGEND ANGEBEN!')
            GOTO 305
         END IF

300     CONTINUE

  1      FORMAT (G10.0)

      END IF

C=================== ABFRAGE DES AUSBREITUNGSGEBIETS ==================

      CALL CLS
 401  WRITE (6,40)
 40   FORMAT (30('='),' AUSBREITUNGSGEBIET ',30('=')/)

      DO 4 I=1,12
      WRITE (6,41)  I,GEBIET(I),I+13,GEBIET(I+13)
 41   FORMAT (2(' ',I2,' =',A35))
  4   CONTINUE

      I=13
      WRITE (6,41)  I,GEBIET(I)

 402  WRITE (6,42) NGEB
 42   FORMAT (/T23,'BITTE NUMMER EINGEBEN',T45,I2,T50,'> '\)
      READ (5,'(A)',END=777,ERR=402) STRING
      IF (ICHAR(STRING(1:1)).GT.32) THEN
         READ (STRING,2,ERR=402) NU
      ELSE
         NU = NGEB
      END IF

      IF (NU.LE.0. OR .NU.GT.25) GOTO 402
      NGEB = NU

C=================== ABFRAGE DER BESTIMMUNGSGROESSEN =================

      CALL CLS
      WRITE (6,50)
 50   FORMAT (/30('='),' BESTIMMUNGSGROESSEN ',29('=')//)

      DO 5 I=1,2
      WRITE (6,51)  I,BESTGR(I)
 51   FORMAT (T18,I1,' = ',A41)
  5   CONTINUE

 502  WRITE (6,52) NBES
  52  FORMAT (/T18,'BITTE NUMMER EINGEBEN',T45,I1,T50,'> '\)
      READ (5,'(A)',END=777,ERR=502) STRING
      IF (ICHAR(STRING(1:1)).GT.32) THEN
         READ (STRING,2,ERR=502) NU
      ELSE
         NU = NBES
      END IF
      IF (NU.LE.0. OR .NU.GT.2) GOTO 502
      NBES = NU

C========================= EINGABEKONTROLLE ============================

      CALL CLS
      WRITE (6,60)
60    FORMAT (31('='),' EINGABEKONTROLLE ',31('=')/)
      WRITE (6,61) TITEL
61    FORMAT ('$TITEL: ',T22,A/)
      WRITE (6,62) STNAME(NGAS)
62    FORMAT ('$GASART: ',T22,A/)

      IF (NGAS.EQ.31) THEN
         WRITE (6,63) SIEDP(31)
63       FORMAT ('$SIEDEPUNKT:',T22,G10.4,'GRAD C')
         WRITE (6,64) RHONOR(31)
64       FORMAT ('$NORMDICHTE:',T22,G10.4,'KG/M**3')
         WRITE (6,65) UZG(31)
65       FORMAT ('$UNTERE ZUENDGRENZE:',T22,G10.4,'VOL%')
         WRITE (6,651) OZG(31)
651      FORMAT ('$OBERE ZUENDGRENZE:',T22,G10.4,'VOL%'/)
      END IF

      WRITE (6,66) FORM(NFORM)
66    FORMAT ('$FREISETZUNG: ',T22,A/)

      IF (NFORM.EQ.1. OR .NFORM.EQ.2) THEN
         WRITE (6,67) TPROZ
67       FORMAT('$PROZESSTEMPERATUR: ',T22,G10.4/)
      END IF

      WRITE (6,68) GEBIET(NGEB)
68    FORMAT ('$AUSBREITUNGSGEBIET: ',T22,A/)
      WRITE (6,69) BESTGR(NBES)
69    FORMAT ('$BESTIMMUNGSGROESSE: ',T22,A/)


      IF (NQ.EQ.1) THEN
         WRITE (6,71) Q(1)
71       FORMAT (/'$EMISSIONSVERLAUF: ',T22,'FREIGESETZTE MASSE OHNE',
     &           ' LACHENANTEIL =',E9.3,'KG')
      END IF


      IF (NBES .EQ. 1 .AND. UZG(NGAS) .GE. 100.) THEN

         IJK = IJK + 1
         IF (IJK .GT. 2) THEN
C     ************************************************
C     * ABBRUCH, DA FUER EIN NICHTBRENNBARES GAS DIE *
C     * UNTERE ZUENDDISTANZ BESTIMMT WERDEN SOLL!    *
C     ************************************************
            WRITE (6,687)
687   FORMAT (//,'$ABBRUCH DES PROGRAMMS, WEIL FUER EIN NICHT-BRENNBAR',
     &        'ES GAS KEINE UNTERE',/,'$ZUENDDISTANZ BESTIMMT WERDEN',
     &        ' KANN.')

            STOP

         ELSE

689         WRITE (6,690) 27,109,STNAME(NGAS),27,109
690   FORMAT (/,'$======> ACHTUNG!',/,' ',A1,'[1;7',A1,A23,
     &        A1,'[0;37;40',A1,/,'$IST NICHT BRENNBAR!'/)
            WRITE (6,72) JANEIN(1)
            READ (5,'(A)',END=2000,ERR=689) JN
            IF (JN.EQ.'N' .OR. JN.EQ.'n') THEN
C     ************************************************
C     * ABBRUCH, DA FUER EIN NICHTBRENNBARES GAS DIE *
C     * UNTERE ZUENDDISTANZ BESTIMMT WERDEN SOLL!    *
C     ************************************************
               WRITE (6,687)
               STOP
            ELSE
               CALL CLS
               GO TO 2000
            END IF

         END IF

      ELSE
702      WRITE (6,72) JANEIN(2)
72       FORMAT (//'$WERTE AENDERN ?',T50,A5,T70,'> '\)
         READ (5,'(A)',END=2000,ERR=702) JN
         IF (JN.EQ.'J' .OR. JN.EQ.'j') GOTO 2000
      END IF

      IF (NQ.GT.1) THEN
         CALL CLS
         WRITE (6,73)
73       FORMAT ('$EMISSIONSVERLAUF: '/)
         WRITE (6,33)

         DO 7 I=1,NQ
7        WRITE (6,34) I,T(I),Q(I)

700      WRITE (6,72) JANEIN(2)
         READ (5,'(A)',END=2000,ERR=700) JN
         IF (JN.EQ.'J' .OR. JN.EQ.'j') THEN
            CALL CLS
            GOTO 3000
         END IF
      END IF
  2   FORMAT (I4)


777   RETURN

      E N D


C-----------------------------------------------------------------------
                        SUBROUTINE CHARGR

C            BERECHNUNG DER CHARAKTERISTISCHEN GROESSEN
C-----------------------------------------------------------------------



      CHARACTER       DATEI*12,TITEL*70,STNAME(31)*23,GEBIET(25)*34,
     &                BESTGR(2)*41,FORM(4)*70,JANEIN(2)*4,JN,EINHEI*8,
     &                CHARL*3,EINDAT*12,DATUM*10

      INTEGER         MQ,NGEB,NGAS,NBES,NFORM,NQ,IFREI,RAUS,DAB,IDA

      REAL            SIEDP(31),RHONOR(31),UZG(31),TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q(20),T(20),RHO,UZD(2),TE,DX,GSTRI,
     &                XQ,YQ,ZQ,QIQIT,TQ,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU(2),OZG(31),OZD(2)

      COMMON/GLOBAL/  MQ,NGEB,NGAS,NBES,TE,XQ,YQ,ZQ,TQ,RAUS,
     &                NFORM,NQ,SIEDP,RHONOR,UZG,TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q,T,RHO,IFREI,UZD,DX,GSTRI,
     &                QIQIT,DAB,IDA,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU,OZG,OZD

      COMMON/CHA/     DATEI,TITEL,STNAME,GEBIET,BESTGR,FORM,JANEIN,
     &                EINHEI,CHARL,JN,EINDAT,DATUM



      REAL            RHONUL,WQ(20),WT(20)

C  *********************************************************************
C  **** BESCHREIBUNG DER LOKALEN VARIABLEN IN SUBROUTINE CHARGR ********
C  *********************************************************************
C  * DISKON    QUELLVERVERSATZ IN M ZUR ENTSCHEIDUNG, OB KONTINUIERLICH*
C  *           ODER SPONTAN GERECHNET WIRD.                            *
C  * DISSPO    QUELLVERVERSATZ IN M ZUR ENTSCHEIDUNG, OB KONTINUIERLICH*
C  *           ODER SPONTAN GERECHNET WIRD.                            *
C  * RHONUL    RHO - NULL NACH KAPITEL 4.1                             *
C  * WQ(20)    HILFSARRAY ZUR SICHERUNG DES EMISSIONSSZENARIOS         *
C  * WT(20)    HILFSARRAY ZUR SICHERUNG DES EMISSIONSSZENARIOS         *
C  *                                                                   *
C  *********************************************************************

C BESTIMMUNG VON RHO-NULL:
C ========================

      IF (NFORM.LE.2)
     &          RHONUL=RHONOR(NGAS)*273.15/(273.15+TPROZ)
      IF (NFORM.EQ.3)
     &          RHONUL=RHONOR(NGAS)*273.15/(273.15+SIEDP(NGAS))
      IF (NFORM.EQ.4) RHONUL=1.4

      IF (RHONUL.LE.1.392) THEN
         WRITE (6,10)
10       FORMAT ('$DIESER STOERFALL FAELLT NICHT IN DEN ANWENDUNGSBER',
     &           'EICH DER RICHTLINIE VDI 3783',/'$-BLATT 2-, DA DIE ',
     &           'ANFAENGLICHE GASDICHTE "RHONULL" UNTER 1.392 KG/M**',
     &           '3 LIEGT.',/'$BITTE BERECHNEN SIE DIESEN STOERFALL ',
     &           'GGF. NACH VDI 3783 -BLATT 1-.')
         STOP
       END IF

      GSTRI = 9.81 * (RHONUL - 1.2) / 1.2
      RHO   = RHONOR(NGAS) * 273.15 / (273.15+15.)

      IF (NQ.EQ.1) THEN
C EINE STUETZSTELLE (GRUNDSAETZLICH SPONTANE FREISETZUNG)
C =======================================================

         QTOTAL=Q(1)
         VNULL = QTOTAL / RHO


         IF (VNULL.LE.0.1) THEN
            WRITE (6,29)
29       FORMAT ('$DIESER STOERFALL FAELLT NICHT IN DEN ANWENDUNGSBER',
     &           'EICH DER RICHTLINIE VDI 3783',/'$-BLATT 2-, DA DAS ',
     &           'ANFAENGLICHE QUELLVOLUMEN "V-NULL" KLEINER ODER GLE',
     &           'ICH     ',/'$0.1 M**3 IST UND DAHER DIE SCHWERGASEF',
     &           'FEKTE VERNACHLAESSIGBAR SIND.'/,
     &           '$BITTE BERECHNEN SIE DIESEN STOERFALL GGF. NACH VDI',
     &           ' 3783 -BLATT 1-.')

            STOP
         END IF

         IFREI = 1
         LC = VNULL ** (1./3.)
         TC = (LC/GSTRI)**(1./2.)
         CHARL = 'LCI'
         POTZU(1) = QTOTAL
         POTZU(2) = QTOTAL

         RETURN

      END IF

      IF (NQ.EQ.2) THEN
C ZWEI STUETZSTELLEN
C ==================

C BESTIMMUNG DER INSGESAMT FREIGESETZTEN GASMASSE QTOTAL:

         QTOTAL = Q (2) * T(2)
         VNULL = QTOTAL / RHO
         VNUPU = Q (2) / RHO

C     *****************************************************************
C     *  ENTSCHEIDUNGUNG, OB KONTINUIERLICHE ODER SPONTANE            *
C     *  FREISETZUNG BEI KONSTANTEM MASSENSTROM (NQ=2):               *
C     *                                                               *
C     * SPONTANE FREISETZUNG, WENN DIE MITTLERE ENTFERNUNG BERECHNET  *
C     * NACH KONTINUIERLICHER FREISETZUNG DIE GROESSERE DISTANZ       *
C     * LIEFERT (UZD-MITTEL = DISSPO).                                *
C     * KONTINUIERLICHE FREISETZUNG, WENN DIE MITTLERE ENTFERNUNG     *
C     * NACH KONTINUIERLICHER FREISETZUNG DIE GROESSERE ODER GLEICHE  *
C     * DISTANZ WIE DIE SPONTANE FREISETZUNG LIEFERT (UZD-MITTEL =    *
C     * DISKON).                                                      *
C     *                                                               *
C     *****************************************************************

         DISKON = 0.
         DISSPO = 0.

C****** SPONTANE FREISETZUNG *******
         IFREI = 1
         LC = VNULL ** (1./3.)
         TC = (LC/GSTRI)**(1./2.)
         IF (NBES .EQ. 1) THEN
            CALL UZDIS
            DISSPO = UZD (1)
         ELSE
            CALL FERNF
            DISSPO = DXMEAN
         END IF


C****** KONTINUIERLICHE FREISETZUNG *******
         IFREI = 2
         LC = ((VNUPU**2)/GSTRI)**(1./5.)
         TC = (VNUPU/(GSTRI**3))**(1./5.)
         IF (NBES .EQ. 1) THEN
            CALL UZDIS
            DISKON = UZD (1)
         ELSE
            CALL FERNF
            DISKON = DXMEAN
         END IF


         IF (DISSPO .GE. DISKON) THEN

C ***    KONTINUIERLICHE FREISETZUNG   ***

            IF (VNUPU.LE.1E-3) THEN
               WRITE (6,20)
20       FORMAT ('$DIESER STOERFALL FAELLT NICHT IN DEN ANWENDUNGSBER',
     &           'EICH DER RICHTLINIE VDI 3783',/'$-BLATT 2-, DA DER ',
     &           'ANFAENGLICHE QUELLVOLUMENSTROM "V-NULL-PUNKT" DEN W',
     &           'ERT     ',/'$1*10**-3 M**3/S NICHT UEBERSCHREITET, ',
     &           'UND DAHER DIE SCHWERGASEFFEKTE VERNACH-  ',/'$LAESS',
     &           'IGBAR SIND.',/'$BITTE BERECHNEN SIE DIESEN STOERFAL',
     &           'L GGF. NACH VDI 3783 -BLATT 1-.')
               STOP
            END IF

            IFREI = 2
            LC = ((VNUPU**2)/GSTRI)**(1./5.)
            TC = (VNUPU/(GSTRI**3))**(1./5.)
            CHARL = 'LCC'

            CALL ZUEND

            RETURN

         ELSE

C****** SPONTANE FREISETZUNG *******

            IF (VNULL.LE.0.1) THEN
               WRITE (6,30)
30       FORMAT ('$DIESER STOERFALL FAELLT NICHT IN DEN ANWENDUNGSBER',
     &           'EICH DER RICHTLINIE VDI 3783',/'$-BLATT 2-, DA DAS ',
     &           'ANFAENGLICHE QUELLVOLUMEN "V-NULL" KLEINER ODER GLE',
     &           'ICH     ',/'$0.1 M**3 IST UND DAHER DIE SCHWERGASEF',
     &           'FEKTE VERNACHLAESSIGBAR SIND.'/,
     &           '$BITTE BERECHNEN SIE DIESEN STOERFALL GGF. NACH VDI',
     &           ' 3783 -BLATT 1-.')

               STOP
            END IF

            IFREI = 1
            LC = VNULL ** (1./3.)
            TC = (LC/GSTRI)**(1./2.)
            CHARL = 'LCI'
            POTZU(1) = QTOTAL
            POTZU(2) = QTOTAL

            RETURN

         END IF

      END IF

      IF (NQ.GT.2) THEN
C DREI ODER MEHR STUETZSTELLEN
C ============================

C ************************************
C * SICHERUNG DES EMISSIONSSZENARIOS *
C ************************************
      DO 1 I = 1,NQ
         WQ(I) = Q(I)
         WT(I) = T(I)
 1    CONTINUE

C        ****************************
C        * UMRECHNEN AUF POLYGONZUG *
C        ****************************

         T (1) = WT (1)
         Q (1) = WQ (1)

         DO 3 K = 2,NQ
           T(K) = (WT(K-1) + WT(K)) / 2.
           Q(K) = WQ(K)
3        CONTINUE

C   *** DER POLYGONZUG HAT EINE STUETZSTELLE MEHR ***

         MQ = NQ + 1
         T(MQ) = WT(NQ)
         Q(MQ) = 0.

         CALL VARIAB
         IF (CHARL .EQ. 'LCI' .AND. VNULL .LE. 0.1) THEN
             WRITE (6,18)
18       FORMAT ('$DIESER STOERFALL FAELLT NICHT IN DEN ANWENDUNGSBER',
     &           'EICH DER RICHTLINIE VDI 3783',/'$-BLATT 2-, DA DAS ',
     &           'ANFAENGLICHE QUELLVOLUMEN "V-NULL" KLEINER ODER GLE',
     &           'ICH     ',/'$0.1 M**3 IST UND DAHER DIE SCHWERGASEF',
     &           'FEKTE VERNACHLAESSIGBAR SIND.'/,
     &           '$BITTE BERECHNEN SIE DIESEN STOERFALL GGF. NACH VDI',
     &           ' 3783 -BLATT 1-.')

            STOP

         ELSE IF (CHARL .EQ. 'LCC' .AND. VNUPU .LE. 0.001) THEN
             WRITE (6,19)
19       FORMAT ('$DIESER STOERFALL FAELLT NICHT IN DEN ANWENDUNGSBER',
     &           'EICH DER RICHTLINIE VDI 3783',/'$-BLATT 2-, DA DAS ',
     &           'ANFAENGLICHE QUELLVOLUMEN "V-NULL" KLEINER ODER GLE',
     &           'ICH     ',/'$0.1 M**3 IST UND DAHER DIE SCHWERGASEF',
     &           'FEKTE VERNACHLAESSIGBAR SIND.'/,
     &           '$BITTE BERECHNEN SIE DIESEN STOERFALL GGF. NACH VDI',
     &           ' 3783 -BLATT 1-.')

            STOP

         END IF

C ***********************************************
C * EMISSIONSSZENARIO ZURUECK AUF T(I) UND Q(I) *
C ***********************************************
         DO 4 L = 1,NQ
            Q(L) = WQ(L)
            T(L) =WT(L)
4        CONTINUE

         RETURN

      END IF



      E N D





C-----------------------------------------------------------------------
                        SUBROUTINE VARIAB

C     BERECHNUNG VON V-NULL-PUNKT BEI KONTINUIERLICHER FREISETZUNG
C-----------------------------------------------------------------------



      CHARACTER       DATEI*12,TITEL*70,STNAME(31)*23,GEBIET(25)*34,
     &                BESTGR(2)*41,FORM(4)*70,JANEIN(2)*4,JN,EINHEI*8,
     &                CHARL*3,EINDAT*12,DATUM*10

      INTEGER         MQ,NGEB,NGAS,NBES,NFORM,NQ,IFREI,RAUS,DAB,IDA

      REAL            SIEDP(31),RHONOR(31),UZG(31),TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q(20),T(20),RHO,UZD(2),TE,DX,GSTRI,
     &                XQ,YQ,ZQ,QIQIT,TQ,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU(2),OZG(31),OZD(2)

      COMMON/GLOBAL/  MQ,NGEB,NGAS,NBES,TE,XQ,YQ,ZQ,TQ,RAUS,
     &                NFORM,NQ,SIEDP,RHONOR,UZG,TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q,T,RHO,IFREI,UZD,DX,GSTRI,
     &                QIQIT,DAB,IDA,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU,OZG,OZD

      COMMON/CHA/     DATEI,TITEL,STNAME,GEBIET,BESTGR,FORM,JANEIN,
     &                EINHEI,CHARL,JN,EINDAT,DATUM

      REAL            QMAX,SPONTO,UZDMAX

C  *********************************************************************
C  **** BESCHREIBUNG DER LOKALEN VARIABLEN IN SUBROUTINE VARIAB ********
C  *********************************************************************
C  *                                                                   *
C  * QMAX      GROESSTER VORKOMMENDER MASSENSTROM                      *
C  * SPONTO    UNTERE ZUENDDISTANZ BEI SPONTANER FREISETZUNG DER       *
C  *           GESAMTMASSE QTOTAL                                      *
C  * UZDMAX    MAXIMALE UNTERE ZUENDDISTANZ (= MITTL. UZD BEI          *
C  *           KONTINUIERLICHER FREISETZUNG VON QMAX)                  *
C  *********************************************************************


C   BERECHNUNG DER INSGESAMT FREIGESETZTEN MASSE (QTOTAL)
C   ====================================================
      QTOTAL = 0.
      DO 11 I=1,MQ-1
         QTOTAL = QTOTAL + ((Q(I)+Q(I+1)) /2.) * ( T(I+1) - T(I))
11    CONTINUE

C  GESAMTMASSE SPONTAN FREISETZEN (UZD = SPONTO)
C  =============================================
      SPONTO = 0.
      VNULL = QTOTAL / RHO
      IFREI = 1
      LC = VNULL ** (1./3.)
      TC = (LC/GSTRI)**(1./2.)
      CHARL = 'LCI'
      IF (NBES .EQ. 1) THEN
         CALL UZDIS
         SPONTO = UZD (1)
      ELSE
         CALL FERNF
         SPONTO = DXMEAN
      END IF

C   ERMITTELUNG DES GROESSTEN MASSENSTROMS (QMAX)
C   =============================================
      QMAX = 0.
      DO 22 J = 1,MQ
         IF (Q(J) .GT. QMAX) QMAX = Q(J)
22    CONTINUE

C   ERMITTELUNG DER MAXIMALEN UZD (UZDMAX AUS ZEITL. KONST. QMAX)
C   =============================================================
      UZDMAX = 0.
      VNUPU = QMAX / RHO
      IFREI = 2
      LC = ((VNUPU**2)/GSTRI)**(1./5.)
      CHARL = 'LCC'
      IF (NBES .EQ. 1) THEN
         CALL UZDIS
         UZDMAX = UZD (1)
      ELSE
         CALL FERNF
         UZDMAX = DXMEAN
      END IF
C  ==============================

      IF (SPONTO .GE. UZDMAX) THEN
C  KONTINUIERLICHE FREISETZUNG MIT VNULL = QMAX
C  ============================================
         IFREI = 2
         VNUPU = QMAX / RHO
         LC = ((VNUPU**2)/GSTRI)**(1./5.)
         CHARL = 'LCC'

         CALL ZUEND

         GO TO 888

      ELSE
C  SPONTANE FREISETZUNG MIT QTOTAL
C  ===============================
         IFREI = 1
         VNULL = QTOTAL / RHO
         LC = VNULL ** (1./3.)
         TC = (LC/GSTRI)**(1./2.)
         CHARL = 'LCI'
         POTZU(1) = QTOTAL
         POTZU(2) = QTOTAL

         GO TO 888

      END IF


888   RETURN

      E N D





C-----------------------------------------------------------------------
                        SUBROUTINE UZDIS

C             BERECHNUNG DER UNTEREN ZUENDDISTANZEN
C-----------------------------------------------------------------------



      CHARACTER       DATEI*12,TITEL*70,STNAME(31)*23,GEBIET(25)*34,
     &                BESTGR(2)*41,FORM(4)*70,JANEIN(2)*4,JN,EINHEI*8,
     &                CHARL*3,EINDAT*12,DATUM*10

      INTEGER         MQ,NGEB,NGAS,NBES,NFORM,NQ,IFREI,RAUS,DAB,IDA

      REAL            SIEDP(31),RHONOR(31),UZG(31),TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q(20),T(20),RHO,UZD(2),TE,DX,GSTRI,
     &                XQ,YQ,ZQ,QIQIT,TQ,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU(2),OZG(31),OZD(2)

      COMMON/GLOBAL/  MQ,NGEB,NGAS,NBES,TE,XQ,YQ,ZQ,TQ,RAUS,
     &                NFORM,NQ,SIEDP,RHONOR,UZG,TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q,T,RHO,IFREI,UZD,DX,GSTRI,
     &                QIQIT,DAB,IDA,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU,OZG,OZD

      COMMON/CHA/     DATEI,TITEL,STNAME,GEBIET,BESTGR,FORM,JANEIN,
     &                EINHEI,CHARL,JN,EINDAT,DATUM


      REAL            DAT (2,2,2,15,25)
      INTEGER         MENMAX,IDAT

C  *********************************************************************
C  ***** BESCHREIBUNG DER LOKALEN VARIABLEN IN SUBROUTINE UZDIS ********
C  *********************************************************************
C  * DAT(..)   ALLE EMPIRISCHEN WINDKANALDATEN SIND IM DAT-FELD VORHAN-*
C  *           DEN MIT:                                                *
C  *           1. INDEX: 1 = MITTELWERTE, 2 = MITTELWERTE + 2RMS       *
C  *           2. INDEX: 1 = SPONTAN, 2 = KONTINUIERLICH               *
C  *           3. INDEX: 1 = QUELLENTFERNUNG IN LC, 2 = KONZENTRATION  *
C  *           4. INDEX: 1-15 = DATEN                                  *
C  *           5. INDEX: 1-25 = NUMMER DES AUSBREITUNGSGEBIETS         *
C  * IDAT      DATENINDEX (4. INDEX)                                   *
C  * MENMAX    UNTERSCHEIDUNG IN MEAN- UND MAX- WERTE (1. INDEX)       *
C  *********************************************************************


C     AUSBREITUNGSGEBIET 1
C     EBENES GELAENDE OHNE HINDERNISSE

      DATA (DAT(1,1,1,I,1),I=1,15) /0.,4.,8.,12.,16.,20.,24.,28.,31.,
     &                              36.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,1),I=1,15) /100.,28.3,8.4,5.,3.6,2.5,2.,1.5,
     &                              1.2,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,1),I=1,15) /0.,4.,8.,12.,16.,20.,24.,28.,31.,
     &                              55.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,1),I=1,15) /100.,49.7,11.7,6.7,4.6,3.3,2.8,
     &                              2.2,2.,1.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,1),I=1,15) /0.,42.66,85.32,128.,170.65,213.31,
     &                              256.,298.65,330.64,0.,0.,0.,0.,0.,
     &                              0./
      DATA (DAT(1,2,2,I,1),I=1,15) /100.,7.81,4.05,2.2,1.55,1.2,.86,
     &                              .56,.42,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,1),I=1,15) /0.,42.66,85.32,128.,170.65,213.31,
     &                              256.,298.65,330.64,0.,0.,0.,0.,0.,
     &                              0./
      DATA (DAT(2,2,2,I,1),I=1,15) /100.,10.58,6.02,3.85,2.75,2.04,
     &                              1.45,0.97,.73,0.,0.,0.,0.,0.,0./


C     AUSBREITUNGSGEBIET 2
C     HOHE WINDPARALLELE WAND

      DATA (DAT(1,1,1,I,2),I=1,15) /0.,4.,8.,12.,16.,20.,24.,28.,31.,
     &                              50.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,2),I=1,15) /100.,33.,19.5,7.9,5.1,3.3,2.4,
     &                              1.9,1.7,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,2),I=1,15) /0.,4.,8.,12.,16.,20.,24.,28.,31.,
     &                              60.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,2),I=1,15) /100.,54.,29.6,11.7,7.2,4.3,3.2,
     &                              2.4,2.1,1.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,2),I=1,15) /0.,42.66,85.32,128.,170.65,213.31,
     &                             256.,298.65,330.64,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,2),I=1,15) /100.,9.45,5.29,3.3,2.41,1.69,1.16,
     &                              .87,.76,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,2),I=1,15) /0.,42.66,85.32,128.,170.65,213.31,
     &                              256.,298.65,330.64,400.,0.,0.,0.,
     &                              0.,0./
      DATA (DAT(2,2,2,I,2),I=1,15) /100.,12.21,6.63,4.27,3.24,2.41,
     &                              1.9,1.4,1.25,1.,0.,0.,0.,0.,0./


C     AUSBREITUNGSGEBIET 3
C     HOHE WINDPARALLELE SCHLUCHT

      DATA (DAT(1,1,1,I,3),I=1,15) /0.,4.,6.13,12.26,18.39,24.52,30.65,
     &                              36.78,42.91,47.51,65.,0.,0.,0.,
     &                              0./
      DATA (DAT(1,1,2,I,3),I=1,15) /100.,34.,27.9,15.2,9.1,4.9,3.2,2.1,
     &                              1.7,1.5,1.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,3),I=1,15) /0.,4.,6.13,12.26,18.39,24.52,30.65,
     &                             36.78,42.91,47.51,75.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,3),I=1,15) /100.,40.,33.9,18.4,10.7,6.,4.,2.5,
     &                              2.,1.8,1.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,3),I=1,15) /0.,42.66,85.32,128.,170.63,213.29,
     &                              256.,298.61,330.6,650.,0.,0.,0.,0.,
     &                              0./
      DATA (DAT(1,2,2,I,3),I=1,15) /100.,9.6,6.46,5.31,4.25,3.47,2.81,
     &                              2.5,2.2,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,3),I=1,15) /0.,42.66,85.32,128.,170.63,213.29,
     &                              256.,298.61,330.6,700.,0.,0.,0.,0.,
     &                              0./
      DATA (DAT(2,2,2,I,3),I=1,15) /100.,11.1,7.74,6.3,5.,4.2,3.53,3.11,
     &                              2.76,1.,0.,0.,0.,0.,0./


C     AUSBREITUNGSGEBIET 4
C     SCHUTZZAUN IN LEE FERN

      DATA (DAT(1,1,1,I,4),I=1,15) /0.,4.,4.1,8.,12.,16.,20.,24.,28.,
     &                              0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,4),I=1,15) /100.,24.11,2.,1.49,1.17,.78,.65,
     &                              .6,.51,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,4),I=1,15) /0.,4.,4.1,8.,12.,16.,20.,24.,28.,
     &                              0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,4),I=1,15) /100.,40.66,2.5,1.85,1.52,1.18,.96,
     &                              .89,.72,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,4),I=1,15) /0.,22.4,22.5,44.8,67.2,89.59,
     &                             112.,134.39,156.78,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,4),I=1,15) /100.,5.16,2.,1.53,1.28,1.01,.83,
     &                              .56,.53,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,4),I=1,15) /0.,22.4,22.5,44.8,67.2,89.59,112.,
     &                              134.39,156.78,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,2,I,4),I=1,15) /100.,11.42,3.5,2.48,1.77,1.41,
     &                              1.16,.8,.75,0.,0.,0.,0.,0.,0./


C     AUSBREITUNGSGEBIET 5
C     SCHUTZZAUN IN LEE NAH

      DATA (DAT(1,1,1,I,5),I=1,15) /0.,2.,2.5,4.,8.,12.,16.,20.,0.,
     &                              0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,5),I=1,15) /100.,87.51,15.,10.02,1.67,1.3,.91,
     &                              .8,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,5),I=1,15) /0.,2.,2.5,4.,8.,12.,16.,20.,0.,
     &                              0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,5),I=1,15) /100.,100.,25.,17.06,2.22,1.68,
     &                              1.17,1.,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,5),I=1,15) /0.,11.2,14.,22.41,44.82,67.24,
     &                              89.64,112.05,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,5),I=1,15) /100.,16.31,10.,7.04,1.79,1.56,
     &                              1.14,1.,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,5),I=1,15) /0.,11.2,14.,22.41,44.82,67.24,
     &                              89.64,112.05,130.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,2,I,5),I=1,15) /100.,27.04,15.,8.91,2.25,2.,1.43,
     &                              1.22,1.,0.,0.,0.,0.,0.,0./

C     AUSBREITUNGSGEBIET 6
C     SCHUTZZAUN IN LUV NAH
      DATA (DAT(1,1,1,I,6),I=1,15) /0.,4.,6.,8.,10.,12.,14.,16.,20.,
     &                              28.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,6),I=1,15) /100.,25.,13.7,7.6,5.,3.5,2.5,
     &                              1.9,1.2,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,6),I=1,15) /0.,5.,6.,8.,12.,16.,20.,28.,
     &                              40.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,6),I=1,15) /100.,34.,21.9,10.65,5.5,3.,2.2,1.5,
     &                              1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,6),I=1,15) /0.,21.,22.4,33.6,44.8,67.2,89.6,
     &                              112.,134.6,149.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,6),I=1,15) /100.,10.,8.5,6.,4.7,3.,1.95,
     &                              1.5,1.2,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,6),I=1,15) /0.,32.,33.6,44.8,67.2,89.6,112.,
     &                              134.6,156.8,182.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,2,I,6),I=1,15) /100.,10.,9.2,7.7,5.5,3.6,2.4,
     &                              1.8,1.4,1.,0.,0.,0.,0.,0./

C     AUSBREITUNGSGEBIET 7
C     SCHUTZZAUN IN LUV FERN
      DATA (DAT(1,1,1,I,7),I=1,15) /0.,4.,7.7,8.,9.,12.,16.,20.,24.,
     &                              30.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,7),I=1,15) /100.,28.,9.2,7.9,6.6,4.5,2.6,
     &                              1.9,1.4,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,7),I=1,15) /0.,5.2,6.,8.,8.7,12.,16.,24.,28.,
     &                              48.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,7),I=1,15) /100.,34.,22.5,11.,10.,6.2,
     &                              3.8,2.1,1.9,1.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,7),I=1,15) /0.,20.5,22.4,35.,44.8,56.,67.2,
     &                              89.6,112.,134.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,7),I=1,15) /100.,10.,8.3,5.8,4.6,3.5,2.7,
     &                              1.7,1.3,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,7),I=1,15) /0.,31.3,33.6,44.8,56.,67.2,
     &                              89.6,112.,156.8,174.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,2,I,7),I=1,15) /100.,10.,9.1,7.6,6.6,5.1,
     &                              3.2,2.2,1.2,1.,0.,0.,0.,0.,0./

C     AUSBREITUNGSGEBIET 8
C     SCHUTZRING NAH
      DATA (DAT(1,1,1,I,8),I=1,15) /0.,2.4,2.5,3.,4.,6.,8.,11.,13.,
     &                              0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,8),I=1,15) /100.,6.1,3.4,3.,2.5,1.8,1.25,1.05,
     &                              1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,8),I=1,15) /0.,2.4,2.5,3.,5.,6.,8.,10.,12.,
     &                              16.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,8),I=1,15) /100.,18.5,5.2,4.9,2.8,2.3,1.9,1.63,
     &                              1.4,1.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,8),I=1,15) /0.,11.2,14.,16.8,22.4,33.6,44.82,
     &                              67.24,89.64,102.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,8),I=1,15) /100.,11.62,3.09,2.95,2.61,2.1,
     &                              1.65,1.3,1.05,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,8),I=1,15) /0.,11.2,14.,16.8,22.4,28.,44.82,
     &                              67.24,89.64,126.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,2,I,8),I=1,15) /100.,20.2,4.89,4.6,4.06,3.45,2.23,
     &                              1.84,1.4,1.,0.,0.,0.,0.,0./


C     AUSBREITUNGSGEBIET 9
C     SCHUTZRING FERN
      DATA (DAT(1,1,1,I,9),I=1,15) /0.,4.,4.1,6.,7.,8.,9.,11.,14.5,0.,
     &                              0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,9),I=1,15) /100.,26.,2.5,2.,1.7,1.55,1.45,1.3,
     &                              1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,9),I=1,15) /0.,4.,4.1,5.,6.,7.,8.,10.,11.,20.,
     &                              0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,9),I=1,15) /100.,42.,6.5,3.5,2.9,2.5,2.1,1.72,
     &                              1.63,1.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,9),I=1,15) /0.,16.8,22.5,28.,33.6,39.2,44.8,56.,
     &                              67.2,80.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,9),I=1,15) /100.,22.8,1.96,1.85,1.72,1.6,1.51,
     &                              1.3,1.1,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,9),I=1,15) /0.,22.4,22.5,28.,39.2,44.8,56.,67.2,
     &                              89.59,108.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,2,I,9),I=1,15) /100.,9.8,3.43,3.1,2.6,2.3,1.8,1.45,
     &                              1.17,1.,0.,0.,0.,0.,0./

C     AUSBREITUNGSGEBIET 10
C     UNTERBROCHENE STRASSENSCHLUCHT TYP I
      DATA (DAT(1,1,1,I,10),I=1,15) /0.,4.,6.13,8.,12.26,18.39,24.52,
     &                              30.,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,10),I=1,15) /100.,32.,19.,12.5,6.6,2.75,1.46,
     &                              1.,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,10),I=1,15) /0.,4.,5.,6.13,7.,8.,10.,12.26,
     &                              15.,18.39,24.52,30.65,37.,0.,0./
      DATA (DAT(2,1,2,I,10),I=1,15) /100.,36.5,29.,22.,18.,15.2,11.3,
     &                              8.7,6.2,4.29,2.38,1.5,1.,0.,0./
      DATA (DAT(1,2,1,I,10),I=1,15) /0.,42.66,50.,64.,85.33,127.99,
     &                              170.65,213.31,255.96,298.64,320.,
     &                              0.,0.,0.,0./
      DATA (DAT(1,2,2,I,10),I=1,15) /100.,9.92,9.1,7.7,5.94,3.8,2.68,
     &                              1.94,1.43,1.11,1.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,10),I=1,15) /0.,42.66,50.,64.,85.33,127.99,
     &                              170.65,213.31,255.96,298.64,330.63,
     &                              435.,0.,0.,0./
      DATA (DAT(2,2,2,I,10),I=1,15) /100.,13.24,12.,10.,8.2,5.8,4.35,
     &                              3.21,2.5,2.,1.68,1.,0.,0.,0./


C     AUSBREITUNGSGEBIET 11
C     UNTERBROCHENE STRASSENSCHLUCHT TYP II
      DATA (DAT(1,1,1,I,11),I=1,15) /0.,4.,5.,6.13,8.,12.26,18.39,
     &                              24.52,28.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,11),I=1,15) /100.,30.,24.,17.9,11.7,6.1,2.6,
     &                              1.35,1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,11),I=1,15) /0.,4.,6.13,8.,12.26,18.39,24.52,
     &                              30.65,35.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,11),I=1,15) /100.,36.5,23.,16.8,9.16,3.9,1.95,
     &                              1.28,1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,11),I=1,15) /0.,42.66,85.33,127.99,170.65,
     &                              213.31,255.96,265.,0.,0.,0.,0.,0.,
     &                              0.,0./
      DATA (DAT(1,2,2,I,11),I=1,15) /100.,8.1,4.2,2.55,1.78,1.36,1.06,
     &                              1.,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,11),I=1,15) /0.,42.66,85.33,127.99,170.65,
     &                              213.31,255.96,300.,0.,0.,0.,0.,0.,
     &                              0.,0./
      DATA (DAT(2,2,2,I,11),I=1,15) /100.,9.6,5.,3.1,2.4,1.66,1.32,1.,
     &                              0.,0.,0.,0.,0.,0.,0./


C     AUSBREITUNGSGEBIET 12
C     UNTERBROCHENE STRASSENSCHLUCHT TYP III
      DATA (DAT(1,1,1,I,12),I=1,15) /0.,4.,5.,6.13,8.,12.26,18.39,24.52,
     &                              27.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,12),I=1,15) /100.,28.5,18.,12.,7.8,4.46,2.3,1.3,
     &                              1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,12),I=1,15) /0.,4.,5.,6.13,8.,12.26,18.39,24.52,
     &                              30.65,36.78,37.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,12),I=1,15) /100.,31.,20.5,13.4,8.9,5.3,3.12,
     &                              2.3,1.4,1.06,1.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,12),I=1,15) /0.,42.66,85.33,127.99,170.65,
     &                              213.31,245.,0.,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,12),I=1,15) /100.,7.9,4.1,2.4,1.65,1.25,1.,0.,
     &                              0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,12),I=1,15) /0.,42.66,85.33,127.99,170.65,
     &                              213.31,255.96,298.64,325.,0.,0.,0.,
     &                              0.,0.,0./
      DATA (DAT(2,2,2,I,12),I=1,15) /100.,11.74,5.73,3.8,2.65,1.95,1.5,
     &                              1.17,1.,0.,0.,0.,0.,0.,0./

C     AUSBREITUNGSGEBIET 13
C     UNTERBROCHENE STRASSENSCHLUCHT TYP IV
      DATA (DAT(1,1,1,I,13),I=1,15) /0.,4.,6.13,8.,12.26,18.39,24.52,
     &                              31.,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,13),I=1,15) /100.,34.,21.,14.,6.,2.8,1.6,1.,0.,
     &                              0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,13),I=1,15) /0.,4.,6.13,8.,12.26,18.39,24.52,
     &                              30.65,37.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,13),I=1,15) /100.,36.5,23.4,16.2,8.16,3.93,2.06,
     &                              1.42,1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,13),I=1,15) /0.,42.66,50.,64.,85.33,127.99,
     &                              170.65,213.31,255.96,298.64,330.63,
     &                              365.,0.,0.,0./
      DATA (DAT(1,2,2,I,13),I=1,15) /100.,17.,15.5,13.,9.8,6.3,4.45,
     &                              3.22,2.37,1.7,1.32,1.,0.,0.,0./
      DATA (DAT(2,2,1,I,13),I=1,15) /0.,42.66,50.,65.,85.33,127.99,
     &                              170.65,213.31,255.96,298.64,330.63,
     &                              400.,450.,490.,0./
      DATA (DAT(2,2,2,I,13),I=1,15) /100.,21.42,20.,16.,12.2,8.5,6.3,5.,
     &                              3.85,3.,2.48,1.6,1.2,1.,0./


C     AUSBREITUNGSGEBIET 14
C     UNTERBROCHENE STRASSENSCHLUCHT TYP V
      DATA (DAT(1,1,1,I,14),I=1,15) /0.,4.,6.13,8.,12.26,18.39,24.52,
     &                              30.,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,14),I=1,15) /100.,32.,19.,11.5,5.3,2.6,1.5,1.,
     &                              0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,14),I=1,15) /0.,4.,6.13,8.,12.26,18.39,24.52,
     &                              30.65,36.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,14),I=1,15) /100.,35.7,21.6,15.1,7.5,3.85,2.05,
     &                              1.3,1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,14),I=1,15) /0.,42.66,50.,64.,85.33,100.,127.99,
     &                              170.65,213.31,255.96,298.64,328.,
     &                              340.,0.,0./
      DATA (DAT(1,2,2,I,14),I=1,15) /100.,13.48,12.5,10.,7.4,6.2,4.5,3.,
     &                              2.2,1.66,1.27,1.08,1.,0.,0./
      DATA (DAT(2,2,1,I,14),I=1,15) /0.,42.66,50.,64.,85.33,100.,127.99,
     &                              170.65,213.31,255.96,298.64,330.63,
     &                              390.,0.,0./
      DATA (DAT(2,2,2,I,14),I=1,15) /100.,16.07,14.5,11.8,9.,7.5,5.6,4.,
     &                              3.,2.3,1.8,1.48,1.,0.,0./


C     AUSBREITUNGSGEBIET 15
C     UNTERBROCHENE STRASSENSCHLUCHT TYP VI
      DATA (DAT(1,1,1,I,15),I=1,15) /0.,4.,6.13,8.,12.26,18.39,24.52,
     &                              27.,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,15),I=1,15) /100.,29.,14.5,8.5,3.92,1.95,1.2,
     &                              1.,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,15),I=1,15) /0.,4.,6.13,8.,12.26,18.39,24.52,
     &                              30.65,33.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,15),I=1,15) /100.,32.,17.,10.5,5.59,2.9,1.75,
     &                              1.16,1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,15),I=1,15) /0.,42.66,50.,64.,85.33,100.,127.99,
     &                              170.65,213.31,255.96,270.,0.,0.,0.,
     &                              0./
      DATA (DAT(1,2,2,I,15),I=1,15) /100.,10.31,9.3,7.7,5.9,4.8,3.4,2.3,
     &                              1.58,1.1,1.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,15),I=1,15) /0.,42.66,50.,64.,85.33,100.,127.99,
     &                              170.65,213.31,255.96,298.64,330.63,
     &                              370.,0.,0./
      DATA (DAT(2,2,2,I,15),I=1,15) /100.,13.06,11.5,9.5,7.15,6.,4.5,
     &                              3.2,2.5,1.78,1.4,1.2,1.,0.,0./



C     AUSBREITUNGSGEBIET 16
C     UNTERBROCHENE STRASSENSCHLUCHT TYP VII
      DATA (DAT(1,1,1,I,16),I=1,15) /0.,4.,5.,6.13,8.,12.26,18.39,23.,
     &                              0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,16),I=1,15) /100.,26.,16.,10.5,6.8,2.74,1.34,
     &                              1.,0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,16),I=1,15) /0.,4.,5.,6.13,8.,12.26,18.39,24.52,
     &                              30.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,16),I=1,15) /100.,31.,21.,15.,9.,4.3,2.12,1.4,
     &                              1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,16),I=1,15) /0.,42.66,50.,64.,85.33,127.99,
     &                             170.65,213.31,275.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,16),I=1,15) /100.,9.09,8.,6.5,5.,3.2,2.24,1.57,
     &                              1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,16),I=1,15) /0.,42.66,50.,64.,85.33,127.99,
     &                              170.65,213.31,255.96,298.64,320.,
     &                              0.,0.,0.,0./
      DATA (DAT(2,2,2,I,16),I=1,15) /100.,12.89,11.5,9.5,7.44,5.01,3.3,
     &                              2.28,1.56,1.15,1.,0.,0.,0.,0./


C     AUSBREITUNGSGEBIET 17
C     UNTERBROCHENE STRASSENSCHLUCHT TYP VIII
      DATA (DAT(1,1,1,I,17),I=1,15) /0.,4.,5.,6.13,8.,12.26,18.39,23.,
     &                              0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,17),I=1,15) /100.,27.,16.5,11.,7.2,2.95,1.4,1.,
     &                              0.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,17),I=1,15) /0.,4.,5.,6.13,8.,12.26,18.39,24.52,
     &                              31.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,17),I=1,15) /100.,30.,19.7,14.,9.5,4.2,2.3,1.4,
     &                              1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,17),I=1,15) /0.,42.66,55.,66.,85.33,127.99,
     &                             170.65,213.31,245.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,17),I=1,15) /100.,7.34,5.8,4.8,3.6,2.3,1.65,
     &                              1.25,1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,17),I=1,15) /0.,42.66,55.,66.,85.33,127.99,
     &                              170.65,213.31,255.96,300.,0.,0.,0.,
     &                              0.,0./
      DATA (DAT(2,2,2,I,17),I=1,15) /100.,11.32,9.,7.5,5.5,3.2,2.2,1.54,
     &                              1.22,1.,0.,0.,0.,0.,0./



C     AUSBREITUNGSGEBIET 18
C     UNTERBROCHENE STRASSENSCHLUCHT TYP IX
      DATA (DAT(1,1,1,I,18),I=1,15) /0.,4.,5.,6.13,8.,12.26,18.39,
     &                              24.52,25.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,18),I=1,15) /100.,27.5,17.,11.8,7.5,3.49,1.57,
     &                              1.03,1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,18),I=1,15) /0.,4.,5.,6.13,8.,12.26,18.39,24.52,
     &                              31.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,18),I=1,15) /100.,31.,20.5,15.,9.8,4.6,2.5,1.5,
     &                              1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,18),I=1,15) /0.,42.66,55.,66.,85.33,127.99,
     &                              170.65,192.,215.,0.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,18),I=1,15) /100.,7.3,5.7,4.7,3.5,2.1,1.44,1.2,
     &                              1.,0.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,18),I=1,15) /0.,42.66,55.,66.,85.33,127.99,145.,
     &                              170.65,213.31,250.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,2,I,18),I=1,15) /100.,12.96,10.,8.,5.54,2.9,2.42,
     &                              1.88,1.3,1.,0.,0.,0.,0.,0./

C     AUSBREITUNGSGEBIET 19
C     LOCKERE BEBAUUNG I
      DATA (DAT(1,1,1,I,19),I=1,15) /0.,4.,6.,7.,8.,10.,11.,12.,13.,14.,
     &                              16.,18.5,24.,28.,31./
      DATA (DAT(1,1,2,I,19),I=1,15) /100.,24.2,11.5,9.,6.6,4.,3.3,2.75,
     &                              2.3,1.9,1.4,1.,0.53,0.43,0.42/
      DATA (DAT(2,1,1,I,19),I=1,15) /0.,4.,8.,11.,12.,14.,16.,17.,20.,
     &                              22.,24.,28.,31.,0.,0./
      DATA (DAT(2,1,2,I,19),I=1,15) /100.,39.55,10.61,5.5,4.59,3.2,2.4,
     &                              2.1,1.5,1.2,1.,0.71,0.7,0.,0./
      DATA (DAT(1,2,1,I,19),I=1,15) /0.,21.32,23.,28.,31.98,38.5,42.64,
     &                           49.3,55.7,63.97,75.,85.29,106.61,0.,0./
      DATA (DAT(1,2,2,I,19),I=1,15) /100.,9.095,8.5,6.7,5.5,4.,3.245,
     &                              2.5,2.,1.54,1.,0.61,0.32,0.,0./
      DATA (DAT(2,2,1,I,19),I=1,15) /0.,21.32,31.98,42.64,50.,55.,
     &                             63.97,75.,85.29,106.61,118.,0.,0.,0.,
     &                             0./
      DATA (DAT(2,2,2,I,19),I=1,15) /100.,17.575,13.,8.53,6.2,5.,3.4,
     &                              2.4,1.8,1.155,1.,0.,0.,0.,0./

C     AUSBREITUNGSGEBIET 20
C     LOCKERE BEBAUUNG II
      DATA (DAT(1,1,1,I,20),I=1,15) /0.,4.,6.,7.,8.,10.,12.,13.,14.5,
     &                              16.,18.,19.8,24.,28.,0./
      DATA (DAT(1,1,2,I,20),I=1,15) /100.,24.5,12.,9.02,7.26,4.6,3.1,
     &                              2.6,2.,1.6,1.25,1.,0.66,0.54,0./
      DATA (DAT(2,1,1,I,20),I=1,15) /0.,4.,6.,8.,10.,12.,14.,16.,18.,
     &                              24.,28.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,20),I=1,15) /100.,40.4,18.,10.5,6.6,4.36,3.1,
     &                              2.4,1.85,1.,0.72,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,20),I=1,15) /0.,21.32,26.,31.98,42.64,50.,
     &                              63.97,74.74,85.29,97.,105.,106.61,
     &                              0.,0.,0./
      DATA (DAT(1,2,2,I,20),I=1,15) /100.,10.35,8.8,7.5,5.365,4.3,2.9,
     &                              2.1,1.605,1.2,1.,0.97,0.,0.,0./
      DATA (DAT(2,2,1,I,20),I=1,15) /0.,21.32,31.98,42.64,63.97,
     &                     74.63,85.29,106.61,150.,180.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,2,I,20),I=1,15) /100.,14.475,12.345,10.095,5.5,4.,
     &                              3.19,2.3,1.35,1.,0.,0.,0.,0.,0./

C     AUSBREITUNGSGEBIET 21
C     LOCKERE BEBAUUNG III
      DATA (DAT(1,1,1,I,21),I=1,15) /0.,4.,7.,8.,10.,12.,14.,15.5,20.,
     &                              22.,24.,28.,0.,0.,0./
      DATA (DAT(1,1,2,I,21),I=1,15) /100.,25.,10.,7.81,5.,3.6,2.6,2.1,
     &                              1.2,1.,0.84,0.67,0.,0.,0./
      DATA (DAT(2,1,1,I,21),I=1,15) /0.,4.,8.,12.,14.,16.,18.,20.,22.,
     &                              24.,28.,0.,0.,0.,0./
      DATA (DAT(2,1,2,I,21),I=1,15) /100.,39.74,10.63,5.5,3.9,2.9,2.3,
     &                              1.8,1.5,1.25,1.,0.,0.,0.,0./
      DATA (DAT(1,2,1,I,21),I=1,15) /0.,21.32,26.,32.06,42.74,53.43,
     &                          64.14,74.74,85.,106.85,128.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,21),I=1,15) /100.,10.4,9.,7.7,6.055,4.64,3.5,
     &                              2.7,2.2,1.455,1.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,21),I=1,15) /0.,21.32,26.,32.06,42.74,53.43,
     &                              64.14,74.74,90.,106.85,128.23,150.,
     &                              185.,0.,0./
      DATA (DAT(2,2,2,I,21),I=1,15) /100.,15.,12.5,11.,9.4,7.785,6.,
     &                              4.69,3.5,2.7,1.9,1.4,1.,0.,0./

C     AUSBREITUNGSGEBIET 22
C     LOCKERE BEBAUUNG IV
      DATA (DAT(1,1,1,I,22),I=1,15) /0.,4.,5.,6.,7.,8.,9.,10.,11.,
     &                              12.,0.,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,22),I=1,15) /100.,24.2,15.,9.52,6.36,4.,2.6,
     &                              1.78,1.3,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,22),I=1,15) /0.,4.,5.,6.,7.,8.,9.,10.,11.,12.,
     &                              14.,16.,18.,0.,0./
      DATA (DAT(2,1,2,I,22),I=1,15) /100.,39.,26.7,17.,12.9,10.,8.,
     &                              6.,5.,4.,2.6,1.63,1.,0.,0./
      DATA (DAT(1,2,1,I,22),I=1,15) /0.,21.32,26.,28.,31.98,38.5,
     &                              42.64,49.3,53.33,57.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,22),I=1,15) /100.,7.71,5.3,4.5,3.4,2.3,1.9,1.4,
     &                              1.17,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,22),I=1,15) /0.,21.32,28.,30.,33.39,38.,42.64,
     &                              53.31,60.,63.97,74.63,0.,0.,0.,0./
      DATA (DAT(2,2,2,I,22),I=1,15) /100.,15.,10.,8.5,6.5,5.,3.9,2.5,
     &                              1.8,1.5,1.,0.,0.,0.,0./

C     AUSBREITUNGSGEBIET 23
C     LOCKERE BEBAUUNG V
      DATA (DAT(1,1,1,I,23),I=1,15) /0.,4.,5.,6.,7.,8.,10.,12.,14.,16.,
     &                              20.,23.,0.,0.,0./
      DATA (DAT(1,1,2,I,23),I=1,15) /100.,25.1,20.1,15.4,10.5,8.3,5.7,
     &                              4.,2.97,2.2,1.4,1.,0.,0.,0./
      DATA (DAT(2,1,1,I,23),I=1,15) /0.,4.,5.,6.,7.,8.,10.,12.,14.,16.,
     &                              20.,25.,29.,0.,0./
      DATA (DAT(2,1,2,I,23),I=1,15) /100.,42.,33.,26.,18.4,11.5,9.1,6.6,
     &                              5.,4.,2.6,1.5,1.,0.,0./
      DATA (DAT(1,2,1,I,23),I=1,15) /0.,21.32,28.,33.39,42.64,53.33,64.,
     &                              74.74,85.31,95.,0.,0.,0.,0.,0./
      DATA (DAT(1,2,2,I,23),I=1,15) /100.,9.2,7.2,6.,4.77,3.5,2.5,1.9,
     &                              1.36,1.,0.,0.,0.,0.,0./
      DATA (DAT(2,2,1,I,23),I=1,15) /0.,21.32,33.39,42.64,53.31,63.97,
     &                              74.63,85.29,106.85,120.,150.,0.,0.,
     &                              0.,0./
      DATA (DAT(2,2,2,I,23),I=1,15) /100.,17.,12.5,9.1,6.7,4.7,3.7,2.9,
     &                              2.,1.6,1.,0.,0.,0.,0./

C     AUSBREITUNGSGEBIET 24
C     LOCKERE BEBAUUNG VI
      DATA (DAT(1,1,1,I,24),I=1,15) /0.,4.,6.,7.,8.,9.,10.,12.,14.,16.,
     &                              18.6,0.,0.,0.,0./
      DATA (DAT(1,1,2,I,24),I=1,15) /100.,24.3,11.7,9.,6.81,5.3,4.3,2.9,
     &                              2.,1.41,1.,0.,0.,0.,0./
      DATA (DAT(2,1,1,I,24),I=1,15) /0.,3.,5.,7.,8.,10.,12.,14.,16.,18.,
     &                              20.,22.,24.,26.,0./
      DATA (DAT(2,1,2,I,24),I=1,15) /100.,46.83,19.84,12.4,10.19,7.9,
     &                             5.28,3.82,2.8,2.2,1.7,1.4,1.15,1.,0./
      DATA (DAT(1,2,1,I,24),I=1,15) /0.,21.32,26.,31.98,35.,42.64,50.,
     &                              53.31,57.5,64.,74.63,85.3,90.,0.,0./
      DATA (DAT(1,2,2,I,24),I=1,15) /100.,10.,8.5,7.17,6.6,5.2,4.1,3.72,
     &                              3.2,2.5,1.8,1.19,1.,0.,0./
      DATA (DAT(2,2,1,I,24),I=1,15) /0.,31.98,35.,42.,53.3,64.,74.63,
     &                              85.3,95.94,106.61,130.,0.,0.,0.,0./
      DATA (DAT(2,2,2,I,24),I=1,15) /100.,10.7,10.1,8.8,6.37,4.5,3.4,
     &                              2.77,2.1,1.63,1.,0.,0.,0.,0./

C     AUSBREITUNGSGEBIET 25
C     LOCKERE BEBAUUNG VII
      DATA (DAT(1,1,1,I,25),I=1,15) /0.,4.,6.,7.,8.,9.,10.,12.,14.,16.,
     &                              18.,20.,0.,0.,0./
      DATA (DAT(1,1,2,I,25),I=1,15) /100.,24.6,12.5,9.75,7.52,6.,4.8,
     &                              3.31,2.3,1.7,1.3,1.,0.,0.,0./
      DATA (DAT(2,1,1,I,25),I=1,15) /0.,3.,5.,7.,8.,10.,12.,14.,16.,18.,
     &                              20.,22.,24.,29.,0./
      DATA (DAT(2,1,2,I,25),I=1,15) /100.,47.3,20.84,12.46,10.31,8.5,
     &                              5.9,4.2,3.1,2.5,2.,1.7,1.4,1.,0./
      DATA (DAT(1,2,1,I,25),I=1,15) /0.,21.32,26.,31.98,36.,42.64,53.3,
     &                          64.14,74.63,85.29,106.61,128.,0.,0.,0./
      DATA (DAT(1,2,2,I,25),I=1,15) /100.,10.35,8.9,7.6,7.,6.,4.42,3.3,
     &                              2.49,2.,1.36,1.,0.,0.,0./
      DATA (DAT(2,2,1,I,25),I=1,15) /0.,31.98,42.,53.31,74.63,85.3,
     &                              106.61,127.93,149.26,160.,0.,0.,0.,
     &                              0.,0./
      DATA (DAT(2,2,2,I,25),I=1,15) /100.,10.8,8.8,6.86,4.48,3.56,2.4,
     &                              1.63,1.17,1.,0.,0.,0.,0.,0./

C BERECHNUNG DER UNTEREN ZUENDDISTANZ:
C ====================================

      DO 10 MENMAX = 1,2
      IDAT = 1
98    IDAT = IDAT + 1
      IF (UZG(NGAS).LT.DAT(MENMAX,IFREI,2,IDAT,NGEB)) GOTO 98
      DELTAC = DAT (MENMAX,IFREI,2,IDAT,NGEB) - DAT (MENMAX,IFREI,2,
     &         IDAT-1,NGEB)
      DELTAX = DAT (MENMAX,IFREI,1,IDAT,NGEB) - DAT (MENMAX,IFREI,1,
     &         IDAT-1,NGEB)
      DC     = UZG(NGAS) - DAT (MENMAX,IFREI,2,IDAT-1,NGEB)
      DX     = DELTAX / DELTAC * DC
      UZD(MENMAX) = (DAT (MENMAX,IFREI,1,IDAT-1,NGEB) + DX) * LC
10    CONTINUE

C BERECHNUNG DER OBEREN ZUENDDISTANZ:
C ===================================

      DO 20 MENMAX = 1,2
      IDAT = 1
99    IDAT = IDAT + 1
      IF (OZG(NGAS).LT.DAT(MENMAX,IFREI,2,IDAT,NGEB)) GOTO 99
      DELTAC = DAT (MENMAX,IFREI,2,IDAT,NGEB) - DAT (MENMAX,IFREI,2,
     &         IDAT-1,NGEB)
      DELTAX = DAT (MENMAX,IFREI,1,IDAT,NGEB) - DAT (MENMAX,IFREI,1,
     &         IDAT-1,NGEB)
      DC     = OZG(NGAS) - DAT (MENMAX,IFREI,2,IDAT-1,NGEB)
      DX     = DELTAX / DELTAC * DC
      OZD(MENMAX) = (DAT (MENMAX,IFREI,1,IDAT-1,NGEB) + DX) * LC
20    CONTINUE

      RETURN
      END


C-----------------------------------------------------------------------
                        SUBROUTINE ZUEND

C   BERECHNUNG DER POTENTIELL ZUENDFAEHIGEN MASSE "POTZU"
C-----------------------------------------------------------------------



      CHARACTER       DATEI*12,TITEL*70,STNAME(31)*23,GEBIET(25)*34,
     &                BESTGR(2)*41,FORM(4)*70,JANEIN(2)*4,JN,EINHEI*8,
     &                CHARL*3,EINDAT*12,DATUM*10

      INTEGER         MQ,NGEB,NGAS,NBES,NFORM,NQ,IFREI,RAUS,DAB,IDA

      REAL            SIEDP(31),RHONOR(31),UZG(31),TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q(20),T(20),RHO,UZD(2),TE,DX,GSTRI,
     &                XQ,YQ,ZQ,QIQIT,TQ,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU(2),OZG(31),OZD(2)

      COMMON/GLOBAL/  MQ,NGEB,NGAS,NBES,TE,XQ,YQ,ZQ,TQ,RAUS,
     &                NFORM,NQ,SIEDP,RHONOR,UZG,TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q,T,RHO,IFREI,UZD,DX,GSTRI,
     &                QIQIT,DAB,IDA,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU,OZG,OZD

      COMMON/CHA/     DATEI,TITEL,STNAME,GEBIET,BESTGR,FORM,JANEIN,
     &                EINHEI,CHARL,JN,EINDAT,DATUM


C  *********************************************************************
C  **** BESCHREIBUNG DER LOKALEN VARIABLEN DER SUBROUTINE ZUEND  *******
C  *********************************************************************
C  *********************************************************************

      UCC = LC / TC

C MITTLERE POTENTIELL ZUENDFAEHIGE MASSE:

      POTZU(1) = (UZD(1) - OZD(1)) * VNUPU * RHO / UCC

      IF (POTZU(1).GE.QTOTAL) THEN
          POTZU(1) = QTOTAL
          POTZU(2) = QTOTAL
          GOTO 99
      END IF

C UNGUENSTIGSTE POTENTIELL ZUENDFAEHIGE MASSE:

      POTZU(2) = ( UZD(2) - (2*OZD(1)-OZD(2)) ) * VNUPU * RHO / UCC
      IF (POTZU(2).GE.QTOTAL) THEN
          POTZU(2) = QTOTAL
      END IF

99    RETURN
      END


C-----------------------------------------------------------------------
                        SUBROUTINE FERNF

C     BERECHNUNG DER EINGABEGROESSEN FUER BLATT 1, FERNFELDAUSBREITUNG
C-----------------------------------------------------------------------



      CHARACTER       DATEI*12,TITEL*70,STNAME(31)*23,GEBIET(25)*34,
     &                BESTGR(2)*41,FORM(4)*70,JANEIN(2)*4,JN,EINHEI*8,
     &                CHARL*3,EINDAT*12,DATUM*10

      INTEGER         MQ,NGEB,NGAS,NBES,NFORM,NQ,IFREI,RAUS,DAB,IDA

      REAL            SIEDP(31),RHONOR(31),UZG(31),TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q(20),T(20),RHO,UZD(2),TE,DX,GSTRI,
     &                XQ,YQ,ZQ,QIQIT,TQ,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU(2),OZG(31),OZD(2)

      COMMON/GLOBAL/  MQ,NGEB,NGAS,NBES,TE,XQ,YQ,ZQ,TQ,RAUS,
     &                NFORM,NQ,SIEDP,RHONOR,UZG,TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q,T,RHO,IFREI,UZD,DX,GSTRI,
     &                QIQIT,DAB,IDA,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU,OZG,OZD

      COMMON/CHA/     DATEI,TITEL,STNAME,GEBIET,BESTGR,FORM,JANEIN,
     &                EINHEI,CHARL,JN,EINDAT,DATUM


      REAL            DXILCI(2,25),DXCLCC(2,25),DTILCI(2,25)



C  *********************************************************************
C  ***** BESCHREIBUNG DER LOKALEN VARIABLEN IN SUBROUTINE FERNF ********
C  *********************************************************************
C  * DXILCI(...) QUELLVERSATZ IN CHAR.LAENGENEINHEITEN (SPONTAN)       *
C  *             = QUELLENTFERNUNG, BEI DER DIE KONZENTRATION AUF 1 %  *
C  *               DER ANFANGSVOLUMENKONZENTRATION ABGESUNKEN IST.     *
C  *             1. INDEX: 1 = MITTELWERTE, 2 = MITTELWERTE + 2RMS     *
C  *             2. INDEX: 1-25 DATEN                                  *
C  * DTILCI(...) ZEITVERSATZ IN CHAR.ZEITEINHEITEN (SPONTAN)           *
C  *             = ZEITVERSATZ, NACH DER DIE KONZENTRATION AUF 1 %     *
C  *               DER ANFANGSVOLUMENKONZENTRATION ABGESUNKEN IST.     *
C  *             1. INDEX: 1 = MITTELWERTE, 2 = MITTELWERTE + 2RMS     *
C  *             2. INDEX: 1-25 DATEN                                  *
C  * DXCLCC(...) QUELLVERSATZ IN CHAR.LAENGENEINHEITEN (KONTINUIERLICH)*
C  *             = QUELLENTFERNUNG, BEI DER DIE KONZENTRATION AUF 1 %  *
C  *               DER ANFANGSVOLUMENKONZENTRATION ABGESUNKEN IST.     *
C  *             1. INDEX: 1 = MITTELWERTE, 2 = MITTELWERTE + 2RMS     *
C  *             2. INDEX: 1-25 DATEN                                  *
C  *********************************************************************

      DATA (DXILCI(1,I),I=1,25) /36.,50.,65.,13.9,15.,28.,30.,13.,15.,
     &                           30.,28.,27.,31.,30.,27.,23.,23.,25.,
     &                           19.,20.,22.,12.,23.,18.6,20./
      DATA (DXILCI(2,I),I=1,25) /55.,60.,75.,19.4,20.,40.,48.,16.,20.,
     &                           37.,35.,37.,37.,36.,33.,30.,31.,31.,
     &                           24.,24.,28.,18.,29.,26.,29./
      DATA (DTILCI(1,I),I=1,25) /65.,95.,160.,53.,50.,60.,75.,40.,33.,
     &                           80.,70.,50.,85.,80.,75.,60.,70.,65.,
     &                           40.,40.,40.,25.,40.,40.,45./
      DATA (DTILCI(2,I),I=1,25) /90.,105.,175.,59.,55.,100.,120.,44.,
     &                           40.,100.,90.,70.,100.,95.,90.,80.,95.,
     &                           80.,50.,50.,50.,35.,50.,45.,50./
      DATA (DXCLCC(1,I),I=1,25) /240.,280.,650.,89.65,112.05,149.,134.,
     &                           102.,80.,320.,265.,245.,365.,340.,
     &                           270.,275.,245.,215.,75.,105.,128.,57.,
     &                           95.,90.,128./
      DATA (DXCLCC(2,I),I=1,25) /296.,400.,700.,122.,130.,182.,174.,
     &                           126.,108.,435.,300.,325.,490.,390.,
     &                           370.,320.,300.,250.,118.,180.,185.,
     &                           74.63,150.,130.,160./


C     SPONTANE FREISETZUNG
C     ********************

      TQ = 1.0

      IF (IFREI.EQ.1) THEN

         XQ  = 0
         YQ  = 0
         ZQ  = 0
         DXMEAN  = DXILCI(1,NGEB) * LC
         DXMAX   = DXILCI(2,NGEB) * LC
         DTMEAN  = DTILCI(1,NGEB) * TC
         DTMAX   = DTILCI(2,NGEB) * TC
         QIQIT = QTOTAL * 1000.

       EINHEI= 'G/S'
       GOTO 66

      ELSE

C     KONTINUIERLICHE FREISETZUNG
C     ***************************


         DXMEAN = DXCLCC(1,NGEB) * LC
         DXMAX  = DXCLCC(2,NGEB) * LC
         TQ = QTOTAL / RHO / VNUPU

         XQ = 0
         YQ = 0
         ZQ = 0


         QIQIT = VNUPU * RHO * 1000.


         EINHEI = 'G/S'


      END IF
66    CONTINUE

      RETURN
      END


C-----------------------------------------------------------------------
                        SUBROUTINE PARAUS

C   AUSGABE DER EINGEGEBENEN PARAMETER UND DER UNTEREN ZUENDDISTANZEN
C   AUF BILDSCHIRM, FILE ODER DRUCKER
C-----------------------------------------------------------------------



      CHARACTER       DATEI*12,TITEL*70,STNAME(31)*23,GEBIET(25)*34,
     &                BESTGR(2)*41,FORM(4)*70,JANEIN(2)*4,JN,EINHEI*8,
     &                CHARL*3,EINDAT*12,DATUM*10

      INTEGER         MQ,NGEB,NGAS,NBES,NFORM,NQ,IFREI,RAUS,DAB,IDA

      REAL            SIEDP(31),RHONOR(31),UZG(31),TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q(20),T(20),RHO,UZD(2),TE,DX,GSTRI,
     &                XQ,YQ,ZQ,QIQIT,TQ,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU(2),OZG(31),OZD(2)

      COMMON/GLOBAL/  MQ,NGEB,NGAS,NBES,TE,XQ,YQ,ZQ,TQ,RAUS,
     &                NFORM,NQ,SIEDP,RHONOR,UZG,TPROZ,VNUPU,VNULL,
     &                QTOTAL,LC,TC,Q,T,RHO,IFREI,UZD,DX,GSTRI,
     &                QIQIT,DAB,IDA,DXMEAN,DXMAX,DTMEAN,DTMAX,
     &                POTZU,OZG,OZD

      COMMON/CHA/     DATEI,TITEL,STNAME,GEBIET,BESTGR,FORM,JANEIN,
     &                EINHEI,CHARL,JN,EINDAT,DATUM



      CHARACTER       BLATT(3)*9,BLA*9,SPOKO*16
      REAL            AUFMEA,AUFMAX

C  *********************************************************************
C  **** BESCHREIBUNG DER LOKALEN VARIABLEN DER SUBROUTINE PARAUS *******
C  *********************************************************************
C  * BLATT(3)  UEBERSCHRIFT FUER JEWEILIGE SEITE                       *
C  * BLA       HILFSVARIABLE FUER BLATTUEBERSCHRIFT-ZUORDNUNG          *
C  * AUFMEA    MINDESTWERT FUER 1. AUFPUNKT IN BLATT 1 (MITTLERER FALL)*
C  * AUFMAX    MINDESTWERT FUER 1. AUFPUNKT IN BLATT 1 (UNGUENST. FALL)*
C  * SPOKO     STRING FUER "SPONTAN" UND "KONTINUIERLICH"              *
C  *********************************************************************


      BLATT(1) = 'SEITE 1/1'
      BLATT(2) = 'SEITE 1/2'
      BLATT(3) = 'SEITE 2/2'

      IF (IFREI.EQ.1) SPOKO = '   SPONTANER    '
      IF (IFREI.EQ.2) SPOKO = 'KONTINUIERLICHER'

      AUFMEA = 4 * DXMEAN
      AUFMAX = 4 * DXMAX

C    ******************************************************************
C    * DA DER ERSTE AUFPUNKT IN BLATT1 MINDESTENS 100 M SEIN MUSS,    *
C    * WIRD HIER DER QUELLVERSATZ GEGEBENENFALLS ERHOEHT.             *
C    ******************************************************************
      IF (AUFMEA .LT. 100.) AUFMEA = 100.
      IF (AUFMAX .LT. 100.) AUFMAX = 100.

      IF (NBES.EQ.1)  THEN
         BLA = BLATT(1)
      ELSE
         IF (NQ.NE.1) THEN
            BLA = BLATT(2)
         ELSE
            BLA = BLATT(1)
         END IF
      END IF

      IF (RAUS.EQ.6) THEN
         IF (NBES.EQ.1) GOTO 10
         IF (NBES.EQ.2) GOTO 20
      END IF

C AUSGABE DER EINGANGSPARAMETER:
C ==============================

      WRITE (RAUS,69)  DATUM,TITEL,BLA
      WRITE (RAUS,71)  STNAME(NGAS)
      IF (NGAS.EQ.31) WRITE (RAUS,72)  SIEDP(NGAS),RHONOR(NGAS),
     &                                 UZG(NGAS),OZG(NGAS)
      IF (NFORM.LE.2) THEN
         WRITE (RAUS,73)  FORM(NFORM),TPROZ
      ELSE IF (NFORM.EQ.3) THEN
         WRITE (RAUS,731) FORM(NFORM)
      ELSE IF (NFORM.EQ.4) THEN
         WRITE (RAUS,732) FORM(NFORM)
      END IF

      WRITE (RAUS,74) GEBIET(NGEB)

      WRITE (RAUS,76)

      IF (NQ.EQ.1) THEN
         WRITE (RAUS,77) Q(1)
      ELSE
         WRITE (RAUS,78)
         DO 7 I=1,NQ
7        WRITE (RAUS,79) I,T(I),Q(I)
      END IF

C AUSGABE DER ERGEBNISSE
C ======================

      IF (NBES.EQ.2. AND. NQ.NE.1) THEN
            WRITE (RAUS,84)
            WRITE (RAUS,69) DATUM,TITEL,BLATT(3)
      END IF

      WRITE (RAUS,80)

      IF (NBES.EQ.1) THEN
          GOTO 10
      ELSE
          GOTO 20
      END IF



C UNTERE ZUENDDISTANZEN
C =====================

10    WRITE (RAUS,811) SPOKO
      WRITE (RAUS,81)  UZD(1),UZD(2)

C POTENTIELL ZUENDFAEHIGE MASSE:
C ==============================

      IF (UZG(NGAS).LT.100) THEN
         IF (POTZU(1).EQ.POTZU(2)) THEN
             WRITE (RAUS,85) POTZU(1)
         ELSE
             WRITE (RAUS,86) POTZU(1),POTZU(2)
         END IF
      END IF

      GOTO 30

C FERNFELDAUSBREITUNG
C ===================

20    WRITE (RAUS,811) SPOKO

      IF (IFREI .EQ. 1) THEN
C        BEI SPONTANER FREISETZUNG
C        =========================
         WRITE (RAUS,11) DXMEAN,DXMAX,DTMEAN,DTMAX,10000*RHO

      ELSE
C       BEI KONTINUIERLICHER FREISETZUNG
C       ================================
         WRITE (RAUS,1111) DXMEAN,DXMAX,10000*RHO

      END IF

C     BEI SPONTANER UND KONTINUIERLICHER FREISETZUNG
C     ==============================================
      WRITE (RAUS,12)

      IF (NQ .GT. 1) THEN
          WRITE (RAUS,13) T(NQ)
      ELSE
          WRITE (RAUS,13) 1.
      ENDIF

      WRITE (RAUS,788)
      IF(NQ.EQ.1) T(1)=1.0
      DO 8 J=1,NQ
         WRITE (RAUS,799) J,T(J),Q(J)*1000.
 8    CONTINUE
      WRITE (RAUS,14) AUFMEA,AUFMAX
      WRITE (RAUS,15)
      WRITE (RAUS,27)

C NACHSATZ
C =========

30    WRITE (RAUS,82) CHARL,LC
      WRITE (RAUS,83)
      WRITE (RAUS,84)

C  ################# FORMATANWEISUNGEN ################################
C
C  EINGANGSPARAMETER:
C  ---------------------------------------------------------------------
69    FORMAT (T10,70('_'),/T69,A10,/T10,A,/T34,A/,T10,70('_')/)
70    FORMAT (T10,70('_'),//T10,A,T65,I2,'.',I2,'.',I4,/T34,A/,T10,
     &        70('_')/)
71    FORMAT (/T10,'FOLGENDER STOERFALL WURDE MIT DER PROGRAMMVERSION ',
     &        'V 4.0 ZUR RICHT-'/,T10,'LINIE VDI 3783 -BLATT 2- BERECH',
     &        'NET:',//T10,'GASART:',T34,A/,'+',T10,7('_')/)
72    FORMAT (T34,'SIEDEPUNKT:',T54,F6.1,T64,'GRAD CELSIUS'/,T34,'NORM',
     &        'DICHTE:',T56,F5.2,T64,'KG/M**3'/,T34,'UNTERE ZUENDGRENZ',
     &        'E:',T54,F6.1,T64,'VOL %',
     &        /,T34,'OBERE ZUENDGRENZE:',T54,F6.1,T64,'VOL %')
73    FORMAT (T10,21('_')/,'+',T10,'FORM DER FREISETZUNG:',T34,A/,T34,
     &        'PROZESSTEMPERATUR:',T55,F6.1,T64,'GRAD CELSIUS'/)
731   FORMAT (T10,21('_')/,'+',T10,'FORM DER FREISETZUNG:',T34,A)
732   FORMAT (T10,'FORM DER FREISETZUNG:'/,'+',T10,21('_'),/T10,A/)
74    FORMAT (T10,19('_')/,'+',T10,'AUSBREITUNGSGEBIET:',T34,A/)
76    FORMAT (T10,'EMISSIONSVERLAUF:'/,'+',T10,17('_'))
77    FORMAT (/T10,'FREIGESETZTE MASSE OHNE LACHENANTEIL =',E9.3,T60,
     &        'KG')
78    FORMAT (T17,' STUETZ-       ZEIT NACH         MASSENSTROM'/
     &        T17,' STELLE     EMISSIONSBEGINN'/
     &        T17,'                  [S]              [KG/S]'/)
79    FORMAT (T17,I4,11X,F7.1,11X,E9.3,T50,A3)
C  ---------------------------------------------------------------------

C  ERGEBNIS, WENN NBES=1 (UNTERE ZUENDDISTANZEN)
C  ---------------------------------------------------------------------
80    FORMAT (/T10,70('_'),///T34,'ERGEBNIS:',/T34,'========='//)
811   FORMAT ( T10,'DER STOERFALL WURDE GEMAESS ABSCHNITT 3.3 DER RICH',
     &        'TLINIE VDI 3783 ',/T10,'-BLATT 2- ALS ',A,' STOERFALL B',
     &        'EHANDELT.'/)
C    --------------------
81    FORMAT ( T10,'ES IST MIT FOLGENDEN UNTEREN ZUENDDISTANZEN ZU REC',
     &        'HNEN:'//,T10,'MITTLERE      AUSBREITUNGSSITUATION:',T56,
     &        F10.1,' M',/T10,'UNGUENSTIGSTE AUSBREITUNGSSITUATION:',
     &        T56,F10.1,' M')
C  ---------------------------------------------------------------------
C  ERGEBNIS, WENN NBES=2 (FERNFELDAUSBREITUNG)
C  ---------------------------------------------------------------------

12    FORMAT (T10,'QUELLHOEHE',T40,':        0.0 M'/,
     &        T10,'QUELLDIMENSIONEN',T34,'XQ = YQ = ZQ = 0.0 M')

13    FORMAT (T10,'EMISSIONSDAUER',T40,': ',F10.1,' S')

788   FORMAT (T10,'EMISSIONSVERLAUF:',//,
     &        T10,' STUETZ-       ZEIT NACH       MASSENSTROM'/
     &        T10,' STELLE     EMISSIONSBEGINN'/
     &        T10,'                  [S]            [G/S]'/)
799   FORMAT (T10,I4,11X,F7.1,9X,E9.3,T50,A3)

14    FORMAT (/T10,'MINDESTWERT FUER 1. AUF-   XA : ',F10.1,' M (MITTL',
     &        'ERE AUSBREITUNG)',/T10,'PUNKT IN BLATT1 (X-KOORD.) XA :',
     &        1X,F10.1,' M (UNGUENST. AUSBREITUNG)')

15    FORMAT (T10,70('-')/)

C  ---------------------------------------------------------------------
C  ERGEBNIS, WENN NBES=2 (FERNFELDAUSBREITUNG SPONTANE FREISETZUNG)
C  ---------------------------------------------------------------------
11     FORMAT (T10,'BEI EINER QUELLENTFERNUNG VON ',F6.1,' M (',F6.1,
     &         ' M) IST BEI MITTLERER',/T10,'(UNGUENSTIGSTER) AUSBREIT',
     &         'UNGSSITUATION DIE GASKONZENTRATION NACH',/T10,F6.1,' S',
     &         ' (',F6.1,' S) AUF ',E9.3,' MG/M**3 = 1 % DER',/T10,'AN',
     &         'FANGSVOLUMENKONZENTRATION ABGESUNKEN. DIE WEITERE AUSB',
     &         'REITUNG WIRD',/T10,'GEMAESS BLATT1 MIT FOLGENDEN ANFAN',
     &         'GSWERTEN BERECHNET:'/)

C  ---------------------------------------------------------------------

C  ERGEBNIS, WENN NBES=2 (FERNFELDAUSBREITUNG KONTINUIERLICHE FREISETZUNG)
C  ---------------------------------------------------------------------
1111   FORMAT (T10,'BEI EINER QUELLENTFERNUNG VON ',F6.1,' M (',F6.1,
     &         ' M) IST BEI MITTLERER',/T10,'(UNGUENSTIGSTER) AUSBREIT',
     &         'UNGSSITUATION DIE GASKONZENTRATION AUF',/T10,E9.3,
     &         ' MG/M**3 = 1 % DER ANFANGSVOLUMENKONZENTRATION ABGESUN',
     &         'KEN.',/T10,'DIE WEITERE AUSBREITUNG WIRD GEMAESS BLATT',
     &         '1 MIT FOLGENDEN',/T10,'ANFANGSWERTEN BERECHNET:'/)
C  ---------------------------------------------------------------------

C  NACHSATZ, BEI FERNFELDAUSBREITUNG
C  ---------------------------------------------------------------------
27    FORMAT (T10,'ADDIERT MAN ZUM AUFPUNKT XA AUS BLATT1 DIE QUELL',
     &        'ENTFERNUNG AUS BLATT2',/T10,'(SIEHE OBEN), ERHAELT ',
     &        'MAN DIE GESAMTENTFERNUNG ZUM FREISETZUNGSORT.')

C  ---------------------------------------------------------------------

C  POTENTIELL ZUENDFAEHIGE MASSE (NICHT BEI FERNFELDAUSBREITUNG)
C  ---------------------------------------------------------------------
85    FORMAT (/T10,'DIE POTENTIELL ZUENDFAEHIGE MASSE IM AUSBREITUNGSG',
     &        'EBIET BETRAEGT'/,
     &         T10,E9.3,' KG.')

86    FORMAT (/T10,'DIE POTENTIELL ZUENDFAEHIGE MASSE IM AUSBREITUNGSG',
     &        'EBIET BETRAEGT IM'/,
     &         T10,'MITTLEREN FALL',E9.3,' KG, UND IM UNGUENSTIGSTEN ',
     &         'FALL',E9.3,' KG.')

C  ---------------------------------------------------------------------

C  NACHSATZ, WIRD IMMER AUSGEGEBEN
C  ---------------------------------------------------------------------
82    FORMAT (/T10,'DIE DIMENSIONEN DER IM AUSBREITUNGSGEBIET STEHENDE',
     &        'N HINDERNISSE BE-'/T10,'RECHNEN SICH MIT HILFE DER CHAR',
     &        'AKTERISTISCHEN LAENGE ',A3,' = ',F7.2,' M')
83    FORMAT (T68,'(C) ME/KLM')
84    FORMAT ('1')
C  ---------------------------------------------------------------------
      RETURN
      END




C-----------------------------------------------------------------------
                        SUBROUTINE CLS
C-----------------------------------------------------------------------

      WRITE (6,1) 27,27
 1    FORMAT ('$',A1,'[H',A1,'[J')
      RETURN
      END
C-----------------------------------------------------------------------

                        FUNCTION LAEN(TEXT)
C                 BERECHNET DIE LAENGE EINES STRINGS
C-----------------------------------------------------------------------

      CHARACTER  TEXT*(*)

      DO  10  L=LEN(TEXT),1,-1
      IF (ICHAR(TEXT(L:L)).NE.32)   GOTO 20
10     CONTINUE
20     LAEN=L
       RETURN
      END

C ======================================================================
C                            E  N  D  E
C ======================================================================
